%define soversion 3.0

Name: SFML
Version: 3.0.0
Release: alt1

Summary: Simple and Fast Multimedia Library
License: Zlib
Group: System/Libraries

Url: http://www.sfml-dev.org/
Packager: Nazarov Denis <nenderus@altlinux.org>

# Source-url: https://github.com/%name/%name/archive/%version/%name-%version.tar.gz
Source: %name-%version.tar

BuildRequires: cmake
BuildRequires: gcc-c++
BuildRequires: libGLU-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXcursor-devel
BuildRequires: libXdamage-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXft-devel
BuildRequires: libXi-devel
BuildRequires: libXinerama-devel
BuildRequires: libXmu-devel
BuildRequires: libXrandr-devel
BuildRequires: libXxf86vm-devel
BuildRequires: libflac-devel
BuildRequires: libopenal-devel
BuildRequires: libudev-devel
BuildRequires: libvorbis-devel

%description
SFML is a simple, fast, cross-platform and object-oriented multimedia
API. It provides access to windowing, graphics, audio and network.
It is written in C++, and has bindings for various languages such as C,
.Net, Ruby, Python.

%package -n lib%name%soversion
Summary: Simple and Fast Multimedia Library
Group: System/Libraries

%description -n lib%name%soversion
SFML is a simple, fast, cross-platform and object-oriented multimedia
API. It provides access to windowing, graphics, audio and network.
It is written in C++, and has bindings for various languages such as C,
.Net, Ruby, Python.

%package -n lib%name-devel
Summary: Development files for SFML
Group: Development/C++
Requires: lib%name%soversion = %EVR
Conflicts: libsfml-devel

%description -n lib%name-devel
Contains libraries and header files for
developing applications that use SFML.

%prep
%setup

%build
%cmake -DBUILD_SHARED_LIBS:BOOL=TRUE -Wno-dev
%cmake_build

%install
%cmake_install

%files -n lib%name%soversion
%doc CONTRIBUTING.md changelog.md migration.md
%_libdir/libsfml-*.so.*

%files -n lib%name-devel
%_defaultdocdir/%name
%_includedir/%name
%_pkgconfigdir/sfml-*.pc
%_libdir/libsfml-*.so
%_libdir/cmake/%name/*.cmake

%changelog
