%def_disable static
%define prerel rc5

Name: aalib
Version: 1.4
Release: alt9%prerel

Summary: AA (Ascii Art) library
License: LGPLv2+
Group: System/Libraries
Url: http://aa-project.sourceforge.net/%name/

# http://prdownloads.sourceforge.net/aa-project/%name-%version%prerel.tar.gz
Source: %name-%version%prerel.tar

%ifdef prerel
Provides: %name = %version%prerel
%endif

# Automatically added by buildreq on Mon Apr 25 2011
# optimized out: xorg-xproto-devel
BuildRequires: libX11-devel libgpm-devel libslang2-devel makeinfo

%package devel
Summary: Header files for developing apps which will use %name
Group: Development/C
Requires: %name = %version-%release

%ifdef prerel
Provides: %name-devel = %version%prerel
%endif

%package devel-static
Summary: Static library for developing apps which will use %name
Group: Development/C
Requires: %name-devel = %version-%release

%package utils
Summary: AA-lib tools
Group: Graphics
Requires: %name = %version-%release

%description
AA-lib is a low level gfx library just as many other libraries are.
The main difference is that AA-lib does not require graphics device. In
fact, there is no graphical output possible. AA-lib replaces those
old-fashioned output methods with powerful ascii-art renderer. Now my
linux boots with a nice penguin logo at secondary display (yes! Like
Win95 does:) AA-lib API is designed to be similar to other graphics
libraries. Learning a new API would be a piece of cake!
The AA library is needed for GIMP.

%description devel
AA-lib is a low level gfx library just as many other libraries are.
The main difference is that AA-lib does not require graphics device. In
fact, there is no graphical output possible. AA-lib replaces those
old-fashioned output methods with powerful ascii-art renderer. Now my
linux boots with a nice penguin logo at secondary display (yes! Like
Win95 does:) AA-lib API is designed to be similar to other graphics
libraries. Learning a new API would be a piece of cake!
The AA library is needed for GIMP

Install the %name-devel package if you want to develop applications that
will use the %name library.

%description devel-static
AA-lib is a low level gfx library just as many other libraries are.
The main difference is that AA-lib does not require graphics device. In
fact, there is no graphical output possible. AA-lib replaces those
old-fashioned output methods with powerful ascii-art renderer. Now my
linux boots with a nice penguin logo at secondary display (yes! Like
Win95 does:) AA-lib API is designed to be similar to other graphics
libraries. Learning a new API would be a piece of cake!
The AA library is needed for GIMP.

Install the %name-devel-static package if you want to develop
statically linked applications that will use the %name library.

%description utils
These programs demonstrate the capabilities of the aalib
library, an ASCII art library.

%prep
%setup -n %name-%version.0
rm doc/*.info*

%build
%autoreconf
%configure %{subst_enable static}
%make_build

%install
%makeinstall_std

for f in %buildroot%_bindir/aa[ist]*; do
	echo .so aafire.1 > %buildroot%_man1dir/${f##*/}.1
done

%files
%doc ChangeLog NEWS README
%_libdir/*.so.*

%files devel
%_bindir/*-config
%_libdir/*.so
%_includedir/*
%_datadir/aclocal/*
%_infodir/*.info*
%_man1dir/*-config.*
%_man3dir/*

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%files utils
%_bindir/*
%exclude %_bindir/*-config
%_man1dir/*
%exclude %_man1dir/*-config.*

%changelog
