%define _unpackaged_files_terminate_build 1

Name: alterator-application-components
Version: 0.2.0
Release: alt1

Summary: Alterator application for managing system components
License: GPLv2+
Group: System/Configuration/Other
URL: https://gitlab.basealt.space/alt/alterator-application-components

Source: %name-%version.tar

BuildRequires(pre): rpm-macros-cmake
BuildRequires: cmake
BuildRequires: cmake-modules
BuildRequires: gcc-c++
BuildRequires: qt6-base-common qt6-base-devel qt6-declarative-devel qt6-tools-devel
BuildRequires: boost-devel-headers
BuildRequires: libqbase-devel >= 0.1.0-alt3
BuildRequires: libtomlplusplus-devel
BuildRequires: alterator-entry >= 0.2.0

Requires: alterator-backend-packages
Requires: alterator-backend-component
Requires: alterator-backend-component_categories
Requires: libqbase
Requires: alt-components-base

%description
Alterator application for managing system components.

%prep
%setup

%build
%cmake
%cmake_build

%install
%cmakeinstall_std
mkdir -p %buildroot%_datadir/alterator/applications
mkdir -p %buildroot%_datadir/alterator/objects
mkdir -p %buildroot%_datadir/alterator/backends
mkdir -p %buildroot%_datadir/polkit-1/actions
mkdir -p %buildroot%_datadir/dbus-1/interfaces

install -v -p -m 644 -D alterator/components.object %buildroot%_datadir/alterator/objects
install -v -p -m 644 -D alterator/components-app.application %buildroot%_datadir/alterator/applications
install -v -p -m 644 -D alterator/components.backend %buildroot%_datadir/alterator/backends
install -v -p -m 644 -D alterator/components-app.backend %buildroot%_datadir/alterator/backends
install -v -p -m 644 -D setup/org.altlinux.alterator.components1.policy %buildroot%_datadir/polkit-1/actions
install -v -p -m 644 -D setup/org.altlinux.alterator.components1.xml %buildroot%_datadir/dbus-1/interfaces

%check
find ./alterator/ -type f -exec alterator-entry validate {} \+

%files
%_datadir/alterator/applications/*.application
%_datadir/alterator/backends/*.backend
%_datadir/alterator/objects/*.object
%_datadir/polkit-1/actions/org.altlinux.alterator.components1.policy
%_datadir/dbus-1/interfaces/org.altlinux.alterator.components1.xml
%_bindir/%name

%changelog
