%define _unpackaged_files_terminate_build 1

Name: alterator-application-packages
Version: 0.1.5
Release: alt1

Summary: Alterator application for managing system packages and package repositories
License: GPLv2+
Group: System/Configuration/Other
URL: https://gitlab.basealt.space/alt/alterator-application-packages

Source0: %name-%version.tar

BuildRequires(pre): rpm-macros-alterator
BuildRequires(pre): rpm-macros-cmake

BuildRequires: cmake
BuildRequires: cmake-modules
BuildRequires: gcc-c++
BuildRequires: qt6-base-common qt6-base-devel qt6-tools-devel
BuildRequires: desktop-file-utils ImageMagick-tools
BuildRequires: xorg-xvfb xvfb-run

Requires: alterator-backend-packages >= 0.1.3
Requires: alterator-manager >= 0.1.25
Requires: alterator-module-executor >= 0.1.14

%description
Alterator application for managing system packages and package repositories
through apt and rpm.

%prep
%setup

%build
%cmake
%cmake_build

%install
%cmakeinstall_std

mkdir -p %buildroot%_alterator_datadir/backends
mkdir -p %buildroot%_alterator_datadir/applications

install -v -p -m 644 -D alterator/amp-apt.backend %buildroot%_alterator_datadir/backends
install -v -p -m 644 -D alterator/amp-apt.application %buildroot%_alterator_datadir/applications

install -v -p -m 644 -D alterator/amp-rpm.backend %buildroot%_datadir/alterator/backends
install -v -p -m 644 -D alterator/amp-rpm.application %buildroot%_alterator_datadir/applications

install -v -p -m 644 -D alterator/amp-repo.backend %buildroot%_datadir/alterator/backends
install -v -p -m 644 -D alterator/amp-repo.application %buildroot%_alterator_datadir/applications

%files
%doc LICENSE
%_bindir/%name
%dir %_alterator_datadir/backends
%dir %_alterator_datadir/applications
%_alterator_datadir/backends/*.backend
%_alterator_datadir/applications/*.application

%changelog
