%define _unpackaged_files_terminate_build 1

Name: alterator-backend-legacy
Version: 0.1.3
Release: alt1

Summary: Alterator manager backends generator for old alterator modules
License: GPLv2+
Group: System/Configuration/Other
URL: https://gitlab.basealt.space/alt/alterator-backend-legacy

BuildArch: noarch

Source0: %name-%version.tar

BuildRequires(pre): rpm-macros-alterator
BuildRequires: python3-devel

Requires: alterator-manager >= 0.1.25
Requires: alterator-module-executor >= 0.1.14
Requires: alterator-interface-legacy alterator-application-legacy
Requires: alterator-standalone
Requires: python3
Requires: zenity
Requires: bash

%package -n alterator-interface-legacy
Summary: Interface for old alterator modules
Group: System/Configuration/Other
Version: 0.1.1
Release: alt1

%package -n alterator-application-legacy
Summary: Runner for old alterator modules
Group: System/Configuration/Other
Version: 0.1.1
Release: alt1

%description
Alterator manager backends generator for old alterator modules.

%description -n alterator-interface-legacy
Interface for old alterator modules.

%description -n alterator-application-legacy
Runner for old alterator modules.

%prep
%setup

%install
mkdir -p %buildroot%_libexecdir/%name
mkdir -p %buildroot%_rpmlibdir/
mkdir -p %buildroot%_sysconfdir/alterator/backends
mkdir -p %buildroot%_datadir/dbus-1/interfaces
mkdir -p %buildroot%_datadir/polkit-1/actions
mkdir -p %buildroot%_alterator_datadir/applications
mkdir -p %buildroot%_alterator_datadir/backends

install -v -p -m 755 -D %name.filetrigger %buildroot%_rpmlibdir/10%name.filetrigger
install -v -p -m 755 -D alterator-generate-legacy-backends %buildroot%_libexecdir/%name
install -v -p -m 644 -D org.altlinux.alterator.legacy.xml %buildroot%_datadir/dbus-1/interfaces
install -v -p -m 644 -D org.altlinux.alterator.legacy.policy %buildroot%_datadir/polkit-1/actions
install -v -p -m 755 -D alterator-application-legacy %buildroot%_libexecdir/alterator-application-legacy/alterator-application-legacy
install -v -p -m 755 -D show-dialog %buildroot%_libexecdir/alterator-application-legacy/show-dialog
install -v -p -m 755 -D locales %buildroot%_libexecdir/alterator-application-legacy/locales
install -v -p -m 644 -D legacy_runner.application %buildroot%_alterator_datadir/applications
install -v -b -m 644 -D legacy_runner.backend %buildroot%_alterator_datadir/backends

%files
%dir %_libexecdir/%name
%dir %_sysconfdir/alterator/backends
%_rpmlibdir/*
%_libexecdir/%name/*

%files -n alterator-interface-legacy
%_datadir/polkit-1/actions/org.altlinux.alterator.legacy.policy
%_datadir/dbus-1/interfaces/org.altlinux.alterator.legacy.xml

%files -n alterator-application-legacy
%dir %_alterator_datadir/applications
%dir %_libexecdir/alterator-application-legacy
%_libexecdir/alterator-application-legacy/*
%_alterator_datadir/applications/*.application
%_alterator_datadir/backends/legacy_runner.backend

%post
%_libexecdir/%name/alterator-generate-legacy-backends
if [ -d /run/systemd/system ]; then systemctl try-restart alterator-manager.service; fi

%postun
if [ $1 = 0 ]; then
    find %_sysconfdir/alterator/backends -name "autogenerated-legacy-*.backend" -type f -print0 | xargs -0 rm -f '{}' ||:
fi

%changelog
