%define _unpackaged_files_terminate_build 1

Name: alterator-interface-edition
Version: 0.1.1
Release: alt3

Summary: Alterator interface for edition
License: GPLv2+
Group: System/Configuration/Other
URL: https://gitlab.basealt.space/alt/alterator-interface-edition

BuildArch: noarch
Source: %name-%version.tar

BuildRequires(pre): rpm-macros-alterator

%description
%summary.

%package -n alterator-backend-edition
Summary: Alterator backend for edition
Group: System/Configuration/Other

BuildRequires: python3-devel

Requires: alterator-interface-edition
Requires: alterator-module-executor >= 0.1.13
Requires: alterator-entry >= 0.2.0
Requires: distro-licenses

%description -n alterator-backend-edition
%summary.

%prep
%setup

%install
mkdir -p %buildroot%_datadir/dbus-1/interfaces
mkdir -p %buildroot%_datadir/polkit-1/actions
mkdir -p %buildroot%_datadir/glib-2.0/schemas
mkdir -p %buildroot%_libexecdir/alterator-interface-edition
mkdir -p %buildroot%_libexecdir/alterator-backend-edition
mkdir -p %buildroot%_alterator_datadir/backends

install -v -p -m 644 -D org.altlinux.alterator.edition.xml %buildroot%_datadir/dbus-1/interfaces
install -v -p -m 644 -D org.altlinux.alterator.edition.policy %buildroot%_datadir/polkit-1/actions
install -v -p -m 644 -D org.altlinux.alterator.edition.gschema.xml %buildroot%_datadir/glib-2.0/schemas

install -v -p -m 644 -D org.altlinux.alterator.current-edition.xml %buildroot%_datadir/dbus-1/interfaces
install -v -p -m 644 -D org.altlinux.alterator.current-edition.policy %buildroot%_datadir/polkit-1/actions

mkdir -p %buildroot%_libexecdir/alterator-backend-edition
install -v -p -m 755 -D edition_helper.py %buildroot%_libexecdir/alterator-backend-edition
install -v -p -m 755 -D current_edition_helper.py %buildroot%_libexecdir/alterator-backend-edition

install -v -p -m 644 -D current_edition.backend %buildroot%_alterator_datadir/backends

install -v -p -m 755 -D alterator-backend-edition.filetrigger %buildroot%_rpmlibdir/10-alterator-backend-edition.filetrigger
install -v -p -m 755 -D generate-editions-backends %buildroot%_libexecdir/alterator-backend-edition/

%files
%dir %_datadir/dbus-1
%dir %_datadir/dbus-1/interfaces
%dir %_datadir/polkit-1
%dir %_datadir/polkit-1/actions
%dir %_datadir/glib-2.0
%dir %_datadir/glib-2.0/schemas
%dir %_libexecdir/alterator-interface-edition
%_datadir/dbus-1/interfaces/*.xml
%_datadir/polkit-1/actions/*.policy
%_datadir/glib-2.0/schemas/org.altlinux.alterator.edition.gschema.xml

%files -n alterator-backend-edition
%dir %_alterator_datadir/backends
%_alterator_datadir/backends/current_edition.backend
%_libexecdir/alterator-backend-edition
%_rpmlibdir/10-alterator-backend-edition.filetrigger

%post -n alterator-backend-edition
%_libexecdir/alterator-backend-edition/generate-editions-backends
if [ -d /run/systemd/system ]; then
    systemctl try-restart alterator-manager.service
fi

%preun -n alterator-backend-edition
if [ $1 = 0 ]; then
    find %_sysconfdir/alterator/backends -name "autogenerated-edition-*.backend" -type f -delete
    if [ -d /run/systemd/system ]; then
        systemctl try-restart alterator-manager.service
    fi
fi

%changelog
