Name: deepin-desktop-schemas
Version: 6.0.8
Release: alt1

Summary: GSettings deepin desktop-wide schemas

License: GPL-3.0
Group: Graphical desktop/Other
Url: https://github.com/linuxdeepin/deepin-desktop-schemas
Vcs: https://github.com/linuxdeepin/deepin-desktop-schemas.git

Source: %url/archive/%version/%name-%version.tar.gz
Source1: vendor.tar
Patch: deepin-desktop-schemas-5.9.16-default-value-for-timeout-lockscreen.patch

BuildArch: noarch

Requires: gnome-backgrounds icon-theme-deepin gtk-theme-deepin dconf gsettings-desktop-schemas
# Requires: deepin-sound-theme

BuildRequires(pre): rpm-build-golang /proc
BuildRequires: python3 glib2 libgio

%description
%summary.

%prep
%setup
%patch -p1

sed -i 's|adwaita-lock.jpg|adwaita-l.webp|' \
    schemas/wrap/com.deepin.wrap.gnome.desktop.screensaver.gschema.xml
# fix network checker url
sed -i "s|'http://detect.uniontech.com', 'http://detectportal.deepin.com'|'https://en.altlinux.org'|" \
    schemas/com.deepin.dde.network-utils.gschema.xml
# Unpacked vendor/ into the source (used .gear/tags).
tar -xf %SOURCE1
# Fix paths in golang submodules.
sed -i 's|/usr/share/locale/locale.alias|%_datadir/X11/locale/locale.alias|' \
    vendor/github.com/linuxdeepin/go-lib/locale/locale.go

%build
export GOPATH="$PWD/vendor:%go_path"
export SYSTYPE=Desktop
%make_build ARCH=%_arch

%install
%makeinstall_std
cp -a \
    %buildroot%_datadir/deepin-desktop-schemas/server-override \
    %buildroot%_datadir/glib-2.0/schemas/91_deepin_product.gschema.override
# Remove unneeded schemas.
rm -rf %buildroot%_datadir/deepin-app-store/
rm -rf %buildroot%_datadir/deepin-appstore/

%check
make test

%post
dconf update

%postun
dconf update

%files
%doc README.md LICENSE
%_datadir/glib-2.0/schemas/*
%_datadir/%name/

%changelog
