Name: easy-rsa
Version: 3.2.2
Release: alt1

Summary: Simple shell based CA utility
Group: Security/Networking
License: %gpl2only
Url: https://github.com/OpenVPN/easy-rsa
Packager: Vladimir Didenko <cow@altlinux.ru>

Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildArch: noarch
BuildRequires(pre): rpm-build-licenses
Requires: openssl

%description
easy-rsa is a CLI utility to build and manage a PKI CA. In laymen's terms,
this means to create a root certificate authority, and request and sign
certificates, including sub-CAs and certificate revokation lists (CRL).

%prep
%setup -q
%patch0 -p1

%build

%install
mkdir -p %{buildroot}%{_datadir}/%name
mkdir -p %{buildroot}%{_bindir}
pushd easyrsa3
cp openssl-easyrsa.cnf vars.example %{buildroot}%{_datadir}/%name
cp -r x509-types %{buildroot}%{_datadir}/%name
mv easyrsa %{buildroot}%{_bindir}/
popd

# easyrsa supports busybox but it is not required for correct work
%filter_from_requires /busybox/d

%files
%defattr(-,root,root,-)
%doc COPYING.md doc/ ChangeLog README.md README.quickstart.md
%{_bindir}/easyrsa
%{_datadir}/%name

%changelog
