Name: fatback
Version: 1.3
Release: alt2

Summary: A forensic tool for recovering files from FAT file systems
License: GPLv2 and Public Domain
Group: File tools

Url: http://sourceforge.net/projects/fatback
Source: http://downloads.sourceforge.net/%name/%name-%version.tar.gz
Source1: README.Mageia
Patch: fatback-1.3-texinfo.patch
Patch1: fatback-fix-building-with-gcc14.patch

BuildRequires: flex gcc-c++ texinfo

%description
Fatback is a forensic tool for undeleting files from Microsoft FAT file
systems. Fatback is different from other undelete tools in that
it does the following:
   * Runs under UNIX environments
   * Can undelete files automatically
   * Supports Long File Names
   * Supports FAT12, FAT16, and FAT32
   * Powerful interactive mode
   * Recursively undeletes deleted directories
   * Recovers lost cluster chains
   * Works with single partitions or whole disks

%prep
%setup
cp -a %SOURCE1 .
%autopatch -p1

%build
%configure
%make
makeinfo --html fatback-manual.texi

%install
%makeinstall_std

mkdir -p %buildroot%_datadir/%name
cp -a fatback-manual_html %buildroot%_datadir/%name/fatback-manual
# Change .info filename to match instructions in man page
mv %buildroot%_infodir/%name{-manual,}.info

%files
%doc README.Mageia
%_bindir/%name
%_mandir/man?/%name.?.*
%_infodir/%name.info.*
%_datadir/%name

%changelog
