%set_verify_elf_method strict
%define _stripped_files_terminate_build 1
%define flacdocs %_docdir/%name

%define soversion 12
%define cppsoversion 10

Name: flac1.4
Version: 1.4.3
Release: alt3

Summary: An encoder/decoder for the Free Lossless Audio Codec
License: GPL-2.0-or-later and BSD-3-Clause and GFDL-1.1-or-later
Group: Sound
Url: https://xiph.org/flac/
Vcs: https://github.com/xiph/flac.git
# git://git.altlinux.org/gears/f/flac.git
Source: %name-%version-%release.tar

Requires: lib%name%soversion = %EVR

%def_disable static
%{?_enable_static:BuildRequires: glibc-devel-static}

BuildPreReq: gcc-c++ libogg-devel
%ifnarch %e2k
BuildRequires: pandoc
%endif

%description
FLAC stands for Free Lossless Audio Codec.  Grossly oversimplified, FLAC is
similar to Ogg Vorbis, but lossless.  The FLAC project consists of the stream
format, reference encoders and decoders in library form, flac, a command-line
program to encode and decode FLAC files, metaflac, a command-line metadata
editor for FLAC files and input plugins for various music players.

This package contains the command-line tools and documentation.

%package -n libflac%soversion
Summary: FLAC shared library
Group: System/Libraries
License: BSD-3-Clause

%description -n libflac%soversion
FLAC stands for Free Lossless Audio Codec.  Grossly oversimplified, FLAC is
similar to Ogg Vorbis, but lossless.  The FLAC project consists of the stream
format, reference encoders and decoders in library form, flac, a command-line
program to encode and decode FLAC files, metaflac, a command-line metadata
editor for FLAC files and input plugins for various music players.

This package contains the FLAC shared library.

%package -n libflac++%cppsoversion
Summary: Object shared library FLAC++
Group: System/Libraries
License: BSD-3-Clause

%description -n libflac++%cppsoversion
FLAC stands for Free Lossless Audio Codec.  Grossly oversimplified, FLAC is
similar to Ogg Vorbis, but lossless.  The FLAC project consists of the stream
format, reference encoders and decoders in library form, flac, a command-line
program to encode and decode FLAC files, metaflac, a command-line metadata
editor for FLAC files and input plugins for various music players.

This package contains an object wrapper library
of functions for manipulating FLAC format audio files.

%prep
%setup -n %name-%version-%release
for f in m4/*.m4; do
	if [ -f "%_datadir/aclocal/${f##*/}" ] ||
	   [ -f "%_datadir/libtool/aclocal/${f##*/}" ]; then
		rm -fv "$f"
	fi
done

%build
> config.rpath
%autoreconf
%configure \
	--disable-xmms-plugin \
	%{?!_with_bootstrap:--enable-exhaustive-tests} \
	%{subst_enable static} \
#
%make_build

%install
%makeinstall_std

%files -n libflac%soversion
%doc AUTHORS README.md COPYING.Xiph
%_libdir/libFLAC.so.%soversion
%_libdir/libFLAC.so.%soversion.*

%files -n libflac++%cppsoversion
%_libdir/libFLAC++.so.%cppsoversion
%_libdir/libFLAC++.so.%cppsoversion.*

%changelog
