%define        _unpackaged_files_terminate_build 1
%def_enable    check
%def_enable    doc
%def_enable    devel
%define        gemname openssl

Name:          gem-openssl
Version:       3.2.0.21
Release:       alt0.1
Summary:       It wraps the OpenSSL library
License:       Ruby or BSD-2-Clause
Group:         Development/Ruby
Url:           https://github.com/ruby/openssl
Vcs:           https://github.com/ruby/openssl.git
Packager:      Ruby Maintainers Team <ruby@packages.altlinux.org>

Source:        %name-%version.tar
BuildRequires(pre): rpm-build-ruby
BuildRequires: libssl-devel
BuildRequires: gem(prime) >= 0
BuildRequires: gem(rake) >= 0
BuildRequires: gem(rake-compiler) >= 0
BuildRequires: gem(rdoc) >= 0
BuildRequires: gem(test-unit) >= 3.3.5
BuildRequires: gem(test-unit-ruby-core) >= 0
BuildConflicts: gem(test-unit) >= 4

%add_findreq_skiplist %ruby_gemslibdir/**/*
%add_findprov_skiplist %ruby_gemslibdir/**/*
%ruby_use_gem_dependency test-unit >= 3.3.5,test-unit < 4
Requires:      ruby >= 2.7.0
Provides:      gem(openssl) = 3.2.0.21

%ruby_use_gem_version openssl:3.2.0.21

%description
OpenSSL provides SSL, TLS and general purpose cryptography. It wraps the OpenSSL
library.


%if_enabled    doc
%package       -n gem-openssl-doc
Version:       3.2.0.21
Release:       alt0.1
Summary:       It wraps the OpenSSL library documentation files
Summary(ru_RU.UTF-8): Файлы сведений для самоцвета openssl
Group:         Development/Documentation
BuildArch:     noarch

Requires:      gem(openssl) = 3.2.0.21

%description   -n gem-openssl-doc
It wraps the OpenSSL library documentation files.

%description   -n gem-openssl-doc -l ru_RU.UTF-8
Файлы сведений для самоцвета openssl.
%endif


%if_enabled    devel
%package       -n gem-openssl-devel
Version:       3.2.0.21
Release:       alt0.1
Summary:       It wraps the OpenSSL library development package
Summary(ru_RU.UTF-8): Файлы для разработки самоцвета openssl
Group:         Development/Ruby
BuildArch:     noarch

Requires:      libssl-devel
Requires:      gem(openssl) = 3.2.0.21
Requires:      gem(prime) >= 0
Requires:      gem(rake) >= 0
Requires:      gem(rake-compiler) >= 0
Requires:      gem(rdoc) >= 0
Requires:      gem(test-unit) >= 3.0
Requires:      gem(test-unit-ruby-core) >= 0

%description   -n gem-openssl-devel
It wraps the OpenSSL library development package.

%description   -n gem-openssl-devel -l ru_RU.UTF-8
Файлы для разработки самоцвета openssl.
%endif


%prep
%setup

%build
%ruby_build

%install
%ruby_install

%check
%ruby_test

%files
%doc CONTRIBUTING.md COPYING History.md README.md
%ruby_gemspec
%ruby_gemlibdir
%ruby_gemextdir

%if_enabled    doc
%files         -n gem-openssl-doc
%doc CONTRIBUTING.md COPYING History.md README.md
%ruby_gemdocdir
%endif

%if_enabled    devel
%files         -n gem-openssl-devel
%doc CONTRIBUTING.md COPYING History.md README.md
%ruby_includedir/*
%endif


%changelog
