Name: guile30
Version: 3.0.10
Release: alt1

Summary: A GNU implementation of Scheme
License: GPLv3
Group: Development/Scheme
Url: http://www.gnu.org/software/guile/ 

Source: %name-%version-%release.tar

BuildRequires: libltdl-devel libgmp-devel libunistring-devel
BuildRequires: libffi-devel libgc-devel libreadline-devel
BuildRequires: flex gperf makeinfo
BuildRequires: /proc /dev/pts

%description
Guile is an implementation of the Scheme programming language, packaged
as a library that can be linked into applications to give them their own
extension language.  Guile supports other languages as well, giving
users of Guile-based applications a choice of languages.

%package devel
Summary: A Guile development package
Group: Development/Scheme
Requires: %name = %version-%release
Conflicts: guile14-devel guile16-devel guile18-devel guile20-devel guile22-devel

%description devel
Guile is an implementation of the Scheme programming language, packaged
as a library that can be linked into applications to give them their own
extension language.  Guile supports other languages as well, giving
users of Guile-based applications a choice of languages.

This package provides Guile development tools, headers and libraries.

%prep
%setup
echo %version > .tarball-version
%ifarch %e2k
# ia64 test: false positive
sed -E -i 's/(AUXILIARY_STACK=)1/\10/' configure.ac
%endif

%build
%ifarch %ix86
%add_optflags -fexcess-precision=standard
%endif
%autoreconf
%configure --disable-static
%make_build

%install
%makeinstall_std
sed -i 's,/usr/bin/guile,/usr/bin/guile30,' \
   %buildroot%_bindir/guild %buildroot%_bindir/guile-config

mv %buildroot%_bindir/guild %buildroot%_bindir/guild30
mv %buildroot%_bindir/guile %buildroot%_bindir/guile30
mv %buildroot%_bindir/guile-config %buildroot%_bindir/guile30-config
mv %buildroot%_bindir/guile-snarf %buildroot%_bindir/guile30-snarf
rm %buildroot%_bindir/guile-tools
mv %buildroot%_man1dir/guile.1 %buildroot%_man1dir/guile30.1

%add_findreq_skiplist %_bindir/guile30-config

%check
make check \
%ifarch ppc64le
||:
%endif

%files
%_bindir/guile30
%_libdir/libguile-3.0.so.*
%exclude %_libdir/libguile-3.0.so.*-gdb.scm
%_libdir/guile/3.0
%_datadir/guile/3.0
%_man1dir/guile30.1*

%files devel
%_bindir/guild30
%_bindir/guile30-config
%_bindir/guile30-snarf
%_includedir/guile/3.0
%_libdir/libguile-3.0.so
%_datadir/aclocal/guile.m4
%_pkgconfigdir/guile-3.0.pc
%_infodir/*.info*

%changelog
