%define _unpackaged_files_terminate_build 1
%define pypi_name httpie

%def_with check

Name: httpie
Version: 3.2.4
Release: alt3

Summary: HTTPie: modern, user-friendly command-line HTTP client for the API era
Group: Networking/WWW
License: BSD
Url: http://httpie.org
VCS: https://github.com/httpie/cli.git
BuildArch: noarch

Source0: %name-%version.tar
Patch0: %name-%version-alt.patch

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools

%if_with check
BuildRequires: python3-module-pygments
BuildRequires: python3-module-requests_toolbelt
BuildRequires: python3-module-rich
BuildRequires: python3-module-defusedxml
BuildRequires: python3-module-multidict
BuildRequires: python3-module-pytest
BuildRequires: python3-module-pytest-httpbin
BuildRequires: python3-module-responses
BuildRequires: python3-module-pytest-mock
%endif

%description
HTTPie is a CLI HTTP utility built out of frustration with existing tools. The
goal is to make CLI interaction with HTTP-based services as human-friendly as
possible.

HTTPie does so by providing an http command that allows for issuing arbitrary
HTTP requests using a simple and natural syntax and displaying colorized
responses.

%prep
%setup
%autopatch -p1

%build
%pyproject_build

%install
%pyproject_install

%check
##https://github.com/httpie/cli/issues/1276#issuecomment-1019441082
%pyproject_run_pytest -m "not requires_installation"

%files
%_bindir/http
%_bindir/httpie
%_bindir/https
%python3_sitelibdir/%pypi_name
%python3_sitelibdir/%pypi_name-%{version}*
%_man1dir/http.1*
%_man1dir/https.1*
%_man1dir/httpie.1*
%doc LICENSE README.md

%changelog
