%def_disable snapshot
%define real_ver_major 76
%define real_ver_minor 1
%define real_ver %{real_ver_major}.%{real_ver_minor}

%def_without doc

%define __isa_bits %(s="%_lib"; s=${s#lib}; echo "${s:-32}")

%if "%__isa_bits" == "32"
%def_disable check
%endif

Name: icu
Version: %(echo %real_ver_major | sed -e 's|\(.\)|\1.|').%real_ver_minor
Release: alt1
Epoch: 1

Summary: International Components for Unicode
Group: System/Libraries
License: ICU and BSD-3-Clause and Unicode-TOU and naist-2003
Url: http://www.icu-project.org/

Vcs: https://github.com/unicode-org/icu.git

%if_disabled snapshot
Source: https://github.com/unicode-org/%name/releases/download/release-%{real_ver_major}-%{real_ver_minor}/icu4c-%{real_ver_major}_%{real_ver_minor}-src.tgz
%else
Source: icu-%version.tar
%endif
Source1: LICENSE-Unicode-v3
Patch: icu-6.3.1-alt-e2k.patch

BuildRequires(pre): rpm-build-python3
BuildRequires: autoconf-archive gcc-c++ libstdc++-devel python3-base
%{?_with_doc:BuildRequires: doxygen}

%define libicu libicu%real_ver_major

%description
ICU is a C++ and C library that provides robust and full-featured Unicode
support

%package utils
Summary: International Components for Unicode (utilities)
Group: Text tools
Requires: %libicu = %EVR
Provides: icu = %version
Obsoletes: icu < %version

%description utils
ICU is a C++ and C library that provides robust and full-featured Unicode
support. This package contains the utilites for compiling and developing
programs with ICU

%package -n %libicu
Summary: International Components for Unicode (libraries)
Group: System/Libraries
Provides: libicu = %EVR
Obsoletes: libicu < %EVR

%description -n %libicu
ICU is a C++ and C library that provides robust and full-featured Unicode
support. This package contains the runtime libraries for ICU

%package -n libicu-devel
Summary: International Components for Unicode (development files)
Group: Development/C++
Requires: %libicu = %EVR
Requires: icu-utils = %EVR

%description -n libicu-devel
ICU is a C++ and C library that provides robust and full-featured Unicode
support. This package contains the development files for ICU.

%package samples
Summary: Sample programs for ICU
Group: Development/Other
Requires: libicu-devel = %EVR
BuildArch: noarch

%description samples
ICU is a C++ and C library that provides robust and full-featured Unicode
support. This package contains sample code for ICU.

%prep
%setup -c
%setup -DT -n %name-%version/icu
cp %SOURCE1 ../LICENSE

# decrease autoconf version
sed -i 's|\(AC_PREREQ(\[2.7\)2|\11|' source/configure.ac

%ifarch %e2k
%patch -p2
%add_optflags -finput-charset=utf8
%endif

sed -ri '/^LDFLAGSICUDT=/ s,-nodefaultlibs -nostdlib,,' source/config/mh-linux

# switch to zone1970.tab
sed -i 's|zone\.tab|zone1970.tab|' source/tools/tzcode/*

%build
export PYTHON=%__python3
%add_optflags %(getconf LFS_CFLAGS)
cd source
%autoreconf
%configure \
    --disable-samples \
    --disable-static \
    --with-data-packaging=library
%make_build

%install
cd source
%makeinstall_std
cp -a samples %buildroot%_datadir/icu

%check
cd source
%make -k check VERBOSE=1

%files utils
%_bindir/*
%exclude %_bindir/icu-config
%_sbindir/*
%exclude %_man1dir/icu-config.1*
%_man1dir/*
%_man8dir/*

%files -n %libicu
%_libdir/*.so.*
%doc LICENSE readme.html

%files -n libicu-devel
%_includedir/*
%_bindir/icu-config
%_libdir/*.so
%_libdir/icu
%_pkgconfigdir/*.pc
%dir %_datadir/icu
%_datadir/icu/%real_ver
%_man1dir/icu-config.1*
%doc *.html *.css

%files samples
%_datadir/icu/samples

%changelog
