Name: inxi
Version: 3.3.37
Release: alt1

Summary: A full featured system information script
Summary(ru): Скрипт вывода полной информации об оборудовании и системе

License: GPL-3.0-or-later
Group: Monitoring
URL: https://smxi.org
Vcs: https://codeberg.org/smxi/inxi
# Source-url: https://codeberg.org/smxi/inxi/archive/%version/%name-%version-1.tar.gz
Source: %name-%version.tar.gz
Patch1: %name-3.3.31.2-platform.patch

Packager: Andrey Cherepanov <cas@altlinux.org>

BuildArch: noarch

Requires: /usr/bin/perl
Requires: net-tools
Requires: pciutils
Requires: procps
Requires: lm_sensors
Requires: usbutils
Requires: hddtemp
# Recommends: glxinfo

AutoReq: no

%description
Inxi offers a wide range of built-in options, as well as a good number
of extra features which require having the script recommends installed
on the system.

%description -l ru
Inxi позволяет выводить различную информацию об используемом
оборудовании и о работе системы.

%prep
%setup
%patch1 -p0

# Disable 'update' with inxi.conf method (suggested by upstream). This will
# tell user:
#   Error 20: Option: U has been disabled by the inxi distribution maintainer.
cat > %name.conf <<-EOF
	# Updates are disabled because this is a system package.
	ALLOW_UPDATE=false
EOF
sed -i '1s|/usr/bin/env perl|%__perl|' %name

%install
install -p -D -m 755 %name %buildroot/%_bindir/%name
install -p -D -m 644 %name.1 %buildroot/%_man1dir/%name.1
install -p -D -m 644 %name.conf %buildroot%_sysconfdir/%name.conf

%check
perl -c inxi
./inxi --vf

%files
%doc %name.changelog README.txt LICENSE.txt
%config(noreplace) %_sysconfdir/%name.conf
%_bindir/%name
%_man1dir/%name.1*

%changelog
