Name: klatexformula
Version: 4.1.0
Release: alt2.3

Summary: Generating images from LaTeX equations
License: GPLv2
Group: Publishing

Url: http://klatexformula.sourceforge.net/
Source: %name-%version.tar.gz
Patch: klatexformula-4.0.0-alt-qt-5.11.patch
Patch1: klatexformula-4.1.0-alt-qt-5.15.patch
Patch2: klatexformula-4.1.0-alt-python3.patch
Patch3: klatexformula-4.1.0-reimplementation_of_strtobool_function.patch

BuildRequires(pre): rpm-build-xdg

# Automatically added by buildreq on Thu Aug 09 2018
# optimized out: cmake-modules fontconfig gcc-c++ glibc-kernheaders-generic glibc-kernheaders-x86 libEGL-devel libGL-devel libX11-devel libgpg-error libqt5-core libqt5-dbus libqt5-designer libqt5-gui libqt5-sql libqt5-svg libqt5-widgets libqt5-x11extras libqt5-xml libstdc++-devel libwayland-client libwayland-server python-base python-modules qt5-base-devel qt5-tools qt5-tools-devel sh3 xorg-proto-devel
BuildRequires: cmake doxygen fonts-ttf-xorg graphviz libssl-devel qt5-svg-devel qt5-tools-devel-static qt5-x11extras-devel

BuildRequires: rpm-build-python3

%description
KLatexFormula is an easy-to-use graphical application for generating
images (that you can drag and drop, copy and paste or save to disk) from
LaTeX equations.

# TODO KLFOpenOfficeorg

%package devel
Group: Development/KDE and QT
Summary: Development environment for %name
%description devel
%summary
TODO: make shared version of %name-devel.

%prep
%setup
%patch -p2
%patch1 -p1
%patch2 -p2
%patch3 -p2

# Quick hotfix for python3.13
grep -rl pipes | xargs sed -i 's/pipes/shlex/'

%build
%ifarch %e2k
# -std=c++03 by default as of lcc 1.23.12
%add_optflags -std=c++11
%endif
%cmake	\
	-DKLF_LIBKLFBACKEND_AUTO_STATIC=False \
	..

%cmake_build --target all doc

%install
%cmake_install
for N in %buildroot/%_datadir/pixmaps/kla*.png; do
  SZ="${N##*-}"; SZ="${SZ%%.*}"
  install -D $N %buildroot%_iconsdir/hicolor/${SZ}x${SZ}/apps/%name.png
done

%files
%_bindir/*
%_libdir/lib*.so.*
%_iconsdir/hicolor/*/apps/*.png
%_pixmapsdir/*.png
%_desktopdir/*
%_xdgmimedir/*
%_datadir/%name

%files devel
%doc %_defaultdocdir/%name
%_includedir/*
%_libdir/lib*.so

%changelog
