# Unpackaged files in buildroot should terminate build
%define _unpackaged_files_terminate_build 1

Name: labwc
Version: 0.8.2
Release: alt1

Summary: A Wayland window-stacking compositor
License: GPL-2.0
Group: Graphical desktop/Other
Url: https://github.com/labwc/labwc

# Source-url: https://github.com/labwc/labwc/archive/refs/tags/%version.tar.gz
Source: %name-%version.tar

BuildRequires(pre): rpm-macros-meson
BuildRequires: meson
BuildRequires: pkgconfig(cairo)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(libinput) >= 1.14
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(pangocairo)
BuildRequires: pkgconfig(pixman-1)
BuildRequires: pkgconfig(scdoc)
BuildRequires: pkgconfig(wayland-protocols)
BuildRequires: pkgconfig(wayland-server) >= 0.19.0
BuildRequires: pkgconfig(wayland-client)
BuildRequires: pkgconfig(wlroots-0.18)
BuildRequires: pkgconfig(xcb)
BuildRequires: pkgconfig(xkbcommon)
BuildRequires: pkgconfig(xcb-icccm)
BuildRequires: pkgconfig(libdrm)
BuildRequires: pkgconfig(librsvg-2.0)
BuildRequires: pkgconfig(libsfdo-basedir)

Requires: labwc-base = %EVR

%description
%summary.

%package base
Summary: A Wayland window-stacking compositor (without session)
Group: Engineering
Conflicts: labwc < 0.8.1

%description base
%summary.

%prep
%setup

%build
%meson \
    -Dxwayland=enabled
%meson_build

%install
%meson_install
%find_lang %name

%files base -f %name.lang
%doc NEWS.md
%_bindir/%name
%_datadir/xdg-desktop-portal/labwc-portals.conf
%_docdir/%name/
%_mandir/man1/*.1*
%_mandir/man5/*.5*
%_iconsdir/hicolor/scalable/apps/%{name}*.svg

%files
%_datadir/wayland-sessions/%name.desktop

%changelog
