Name: libao
Version: 1.2.2
Release: alt7
Epoch: 1

Summary: Cross Platform Audio Output Library
License: GPL-2.0-only
Group: System/Libraries

Url: http://www.xiph.org/ao/
# https://git.xiph.org/libao.git
Source0: %name-%version.tar
Patch0: libao-1.0.0-alt-oss.patch
Patch1: libao-nanosleep.patch

BuildRequires: libalsa-devel libpulseaudio-devel

Provides: %name-alsa = %version-%release %name-pulse = %version-%release
Obsoletes: %name-alsa < %version-%release %name-pulse < %version-%release

%description
Libao is a cross platform audio output library.
It currently supports ALSA and PULSE.

%package devel
Summary: Development files for %name
Group: Development/C
PreReq: %name = %version-%release

%description devel
The %name-devel package contains the header files and documentation
needed to develop applications with %name

%prep
%setup
%patch0 -p1
%patch1 -p1
sed -i 's,-O20,%optflags_optimization,g' configure*

%build
%autoreconf
%configure \
	--enable-pulse \
	--enable-alsa \
	--disable-alsa-mmap \
	--enable-oss \
	--disable-broken-oss \
	--disable-esd \
	--disable-arts \
	--disable-nas
%make_build AO_CFLAGS="%optflags"

%install
%makeinstall_std

mkdir -p %buildroot%_sysconfdir
cat <<__EOF__ >%buildroot%_sysconfdir/%name.conf
# possible values for "default_driver" are: alsa, pulse
default_driver=pulse,alsa
__EOF__

%files
%config(noreplace) %_sysconfdir/%name.conf
%_libdir/*.so.*
%dir %_libdir/ao
%dir %_libdir/ao/plugins-4
%_libdir/ao/plugins-4/liboss.so
%_libdir/ao/plugins-4/libalsa.so
%_libdir/ao/plugins-4/libpulse.so
%_man5dir/*

%files devel
%doc AUTHORS CHANGES TODO doc/*.{html,css,c}
%_includedir/*
%_libdir/*.so
%_pkgconfigdir/*.pc
%_datadir/aclocal/*

%changelog
