#
# spec file for package libcfile
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

Name: libcfile
Version: 20240414
Release: alt1

Summary: Library for cross-platform C file functions
License: LGPLv3+
Group: Development/C

Url: https://github.com/libyal/libcfile
#DL-URL: https://github.com/libyal/libcfile/releases/download/20240414/libcfile-alpha-20240414.tar.gz
Source: %name-alpha-%version.tar.gz

BuildRequires: pkg-config
BuildRequires: pkgconfig(libcerror) >= 20130609
BuildRequires: pkgconfig(libclocale) >= 20130609
BuildRequires: pkgconfig(libcnotify) >= 20130103
# This can cause a build loop.  The internal version should be used.
#BuildRequires:  pkgconfig(libuna) >= 20120425
# The below have not been released as standalone packages by upstream
#BuildRequires:  pkgconfig(libcstring)

%description
A library for cross-platform C file functions.

%package devel
Summary: Development files for libcfile, a cross-platform C file library
Group: Development/C
Requires: %name = %version

%description devel
A library for cross-platform C file functions.

This subpackage contains libraries and header files for developing
applications that want to make use of libcfile.

%prep
%setup

%build
%configure \
	--disable-static \
	--enable-wide-character-type
%make_build

%install
%makeinstall_std

%check
%make check

%files
%doc AUTHORS ChangeLog
%_libdir/*.so.*

%files devel
%_includedir/*
%_libdir/*.so
%_pkgconfigdir/*.pc
%_man3dir/*

%changelog
