Name: libchm
Version: 0.40
Release: alt8

Summary: chmlib is a small library designed for accessing MS ITSS files
License: LGPLv2.1+
Group: System/Libraries

Url: http://www.jedrea.com/chmlib
Source: %url/chmlib-%version.tar.bz2
Patch0: chmlib-0.39-alt-ppc.patch
Patch1: chmlib-0.40-mcst-e2k-sparc.patch
Patch2: chmlib-0.40-arm.patch
Patch3: chmlib-0.40-loongarch64.patch
Patch4: chmlib-0.40-mips-and-riscv.patch
Patch5: chmlib-0.40-alt-fix-gcc14-ftbfs.patch

# Automatically added by buildreq on Wed Feb 14 2007
BuildRequires: gcc-c++

%description
chmlib is a small library designed for accessing MS ITSS files. The ITSS file
format is used for Microsoft Html Help files (.chm), which have been the
predominant medium for software documentation from Microsoft during the past
several years, having superceded the previously used .hlp file format. Note that
this is NOT the same as the OLE structured storage file format used by MS Excel,
Word, and so on. Instead, it is a different file format which fulfills a similar
purpose.

%package devel
Summary: Development files for libchm
License: LGPLv2.1+
Group: Development/C
Requires: %name = %version-%release

%description devel
This package contains development files required for packaging libchm-based
software.

%package utils
Summary: Utilities that uses libchm
License: LGPLv2.1+
Group: Office
Requires: %name = %version-%release

%description utils
This package contains example utility programs that use chmlib.

%prep
%setup -n chmlib-%version
%autopatch -p1

%build
%configure --enable-examples --disable-static
# fix rpath libtool issues
subst 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
subst 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%make_build

%install
%makeinstall_std

%files
%_libdir/libchm.so.*

%files devel
%_includedir/*
%_libdir/*.so

%files utils
%_bindir/*

%changelog
