%define _unpackaged_files_terminate_build 1

%define oname double-conversion
%define soname 3

Name: lib%oname
Version: 3.3.1
Release: alt1

Summary: Library providing binary-decimal and decimal-binary routines for IEEE doubles
License: BSD
Group: System/Libraries

Url: https://github.com/floitsch/double-conversion
Source: %name-%version.tar

BuildRequires: cmake ctest
BuildRequires: gcc-c++

%description
Provides binary-decimal and decimal-binary routines for IEEE doubles.
The library consists of efficient conversion routines that have been
extracted from the V8 JavaScript engine. The code has been re-factored
and improved so that it can be used more easily in other projects.

%package -n lib%oname%soname
Summary: Library providing binary-decimal and decimal-binary routines for IEEE doubles
Group: System/Libraries

%description -n lib%oname%soname
Provides binary-decimal and decimal-binary routines for IEEE doubles.
The library consists of efficient conversion routines that have been
extracted from the V8 JavaScript engine. The code has been re-factored
and improved so that it can be used more easily in other projects.

%package devel
Summary: Library providing binary-decimal and decimal-binary routines for IEEE doubles
Group: Development/C
Requires: lib%oname%soname = %EVR

%description devel
Contains header files for developing applications that use the %name
library.

%prep
%setup
%ifarch %e2k
sed -i 's,defined(__riscv),& || defined(__e2k__),' double-conversion/utils.h
%endif

%build
%cmake_insource \
        -DBUILD_SHARED_LIBS=ON \
        -DBUILD_STATIC_LIBS=OFF \
        -DBUILD_TESTING:BOOL=ON

%make_build

%install
%makeinstall_std

%check
export LD_LIBRARY_PATH=%buildroot%_libdir
%make_build test

%files -n lib%oname%soname
%doc LICENSE README.md AUTHORS Changelog
%_libdir/*.so.%{soname}
%_libdir/*.so.%{soname}.*

%files devel
%_libdir/*.so
%_libdir/cmake/%oname
%_includedir/%oname

%changelog
