Name: libdwarf
Version: 0.11.1
Release: alt1
Epoch: 1

Summary: Library to access the DWARF Debugging file format
License: LGPL-2.1
Group: System/Libraries
Url: http://www.prevanders.net/dwarf.html

Source: %name-%version.tar

BuildRequires: gcc-c++ meson libelf-devel libzstd-devel zlib-devel

%package devel
Summary: Library and header files of libdwarf
Group: Development/C

%package tools
Summary: Tools for accessing DWARF debugging information
Group: Development/Tools

%description
Library to access the DWARF debugging file format which supports
source level debugging of a number of procedural languages, such as C, C++,
and Fortran.  Please see http://www.dwarfstd.org for DWARF specification.

%description devel
Development package containing library and header files of libdwarf.

%description tools
C++ version of dwarfdump (dwarfdump2) command-line utilities
to access DWARF debug information.

%prep
%setup

%build
%meson
%meson_build

%install
%meson_install

%files
%doc ChangeLog COPYING README
%_libdir/libdwarf.so.*

%files devel
%_libdir/libdwarf.so
%_includedir/libdwarf-0
%_pkgconfigdir/libdwarf.pc

%files tools
%_bindir/dwarfdump
%_datadir/dwarfdump
%_man1dir/dwarfdump.1*

%changelog
