#
# spec file for package libfguid
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

Name: libfguid
Version: 20240415
Release: alt1

Summary: A library for GUID/UUID data types
License: LGPLv3+
Group: Development/C
Url: https://github.com/libyal/libfguid
#DL-URL: https://github.com/libyal/libfguid/releases/download/20240415/libfguid-alpha-20240415.tar.gz
Source: %name-alpha-%version.tar.gz

BuildRequires: pkg-config
BuildRequires: pkgconfig(libcerror) >= 20130609
#not released by upstream
#BuildRequires:  pkgconfig(libcstring) >= 20120425

%description
A library for GUID/UUID data types.

%package devel
Summary: Development files for libfguid, a GUID/UUID data type library
Group: Development/C
Requires: %name = %version

%description devel
A library for GUID/UUID data types.

This subpackage contains libraries and header files for developing
applications that want to make use of libfguid.

%prep
%setup

%build
%configure \
	--disable-static \
	--enable-wide-character-type
%make_build

%install
%makeinstall_std

%check
%make check

%files
%doc AUTHORS ChangeLog
%_libdir/*.so.*

%files devel
%_includedir/*
%_libdir/*.so
%_pkgconfigdir/*.pc
%_man3dir/*

%changelog
