%define oname ginac

Name: libginac
Version: 1.8.8
Release: alt1
Epoch: 1

Summary: C++ class library for symbolic calculations

License: GPLv2+
Group: Sciences/Mathematics
Url: http://www.ginac.de/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: https://ginac.de/ginac-%version.tar

BuildRequires: python3
BuildRequires: flex gcc-c++ libcln-devel libncurses-devel libreadline-devel
BuildRequires: makeinfo

%description
GiNaC is Not a Cocktail.

GiNaC (which stands for "GiNaC is Not a CAS (Computer Algebra
System)") is an open framework for symbolic computation within the
C++ programming language.

This is the libraries, include files and other resources you can use
for developing GiNaC applications.

%package -n %oname
Summary: Libraries, includes and more for developing GiNaC applications
Group: Development/C++

%description -n %oname
GiNaC is Not a Cocktail.

GiNaC (which stands for "GiNaC is Not a CAS (Computer Algebra
System)") is an open framework for symbolic computation within the
C++ programming language.

%package devel
Summary: Libraries, includes and more for developing GiNaC applications
Group: Development/C++
Requires: %name = %EVR

%description devel
GiNaC is Not a Cocktail.

GiNaC (which stands for "GiNaC is Not a CAS (Computer Algebra
System)") is an open framework for symbolic computation within the
C++ programming language.

This is the libraries, include files and other resources you can use
for developing GiNaC applications.

%prep
%setup -n %oname-%version
# https://bugzilla.altlinux.org/show_bug.cgi?id=39854
subst "s|2\.7|3.0|" configure.ac

%build
%autoreconf

%configure \
	--disable-static \
	--disable-rpath
%make_build

%install
%makeinstall_std
#mv %buildroot/usr/lib/ginac-excompiler %buildroot%_bindir/
rm -fv %buildroot/usr/lib/ginac-excompiler

%files -n %oname
%doc AUTHORS NEWS README
%_bindir/ginsh
%_bindir/viewgar
%_man1dir/ginsh.1*
%_man1dir/viewgar.1*

%files
%_libdir/*.so.*

%files devel
%doc ChangeLog
#_bindir/ginac-excompiler
%_includedir/ginac/
#%_libdir/*.la
%_libdir/*.so
%_pkgconfigdir/*.pc
%_infodir/*.info*

%changelog
