Name: libjodycode
Version: 3.1.1
Release: alt1

Summary: General purpose utility functions

License: MIT
Group: System/Libraries
Url: https://github.com/jbruchon/libjodycode
Vcs: https://codeberg.org/jbruchon/libjodycode

# Source-url: https://codeberg.org/jbruchon/libjodycode/archive/v%version.tar.gz
Source: %name-%version.tar

%description
libjodycode is a software code library containing code shared among
several of the programs written by Jody Bruchon such as imagepile,
jdupes, winregfs, and zeromerge. These shared pieces of code were
copied between each program as they were updated. As the number of
programs increased and keeping these pieces of code synced became more
annoying, the decision was made to combine all of them into a single
reusable shared library.

%package devel
Summary: Development files for %name
Requires: %name = %EVR
Group: Development/C

%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%prep
%setup

%build
%make_build HARDEN=1 PREFIX="%prefix" LIB_DIR="%_libdir"

%install
%makeinstall_std HARDEN=1 PREFIX="%prefix" LIB_DIR="%_libdir"

# Do not include the static library
rm -f %buildroot%_libdir/libjodycode.a

# man page is currently empty
rm -rf %buildroot%_man7dir

%files
%doc LICENSE.txt
%doc CHANGES.txt README.md
%_libdir/libjodycode.so.*

%files devel
%_includedir/libjodycode.h
%_libdir/libjodycode.so

%changelog
