%define _unpackaged_files_terminate_build 1

%define apiver 1
%define namever %name-%apiver

Name: libvazzy
Version: 1.4
Release: alt1

Summary: ALT Repo API library on Vala
License: GPL-3.0-or-later
Group: System/Libraries
Url: https://github.com/Rirusha/libvazzy
VCS: https://github.com/Rirusha/libvazzy

Source0: %name-%version.tar
Patch0: %name-%version-alt.patch

BuildRequires(pre): rpm-macros-meson
BuildRequires: meson
BuildRequires: vala
BuildRequires: pkgconfig(gee-0.8)
BuildRequires: gobject-introspection-devel

%description
Library for Vala with fuzzy search functions

Currently, the library contains:
- Damerau-Levenstein distance

%package -n %namever
Summary: %{summary %name}
Group: System/Libraries

%description -n %namever
%{description %name}.

%package -n %namever-devel
Group: Development/Other
Summary: Headers files and library symbolic links for %name
Requires: %namever = %EVR

%description -n %namever-devel
%summary.
This package contains headers and libs
required for building programs with %name

%package -n %namever-gir
Summary: GObject introspection data for the libvazzy library
Group: System/Libraries
Requires: %namever = %EVR

%description -n %namever-gir
GObject introspection data for the libvazzy library

%package -n %namever-gir-devel
Summary: GObject introspection devel data for the libvazzy library
Group: System/Libraries
BuildArch: noarch
Requires: %namever-gir = %EVR
Requires: %namever-devel = %EVR

%description -n %namever-gir-devel
GObject introspection data for the libvazzy library

%prep
%setup
%autopatch -p1

%build
%meson
%meson_build

%install
%meson_install

%files -n %namever
%_libdir/libvazzy-%apiver.so.*

%files -n %namever-devel
%_includedir/libvazzy-%apiver.h
%_libdir/libvazzy-%apiver.so
%_pkgconfigdir/libvazzy-%apiver.pc
%_datadir/vala/vapi/libvazzy-%apiver.deps
%_datadir/vala/vapi/libvazzy-%apiver.vapi

%files -n %namever-gir
%_typelibdir/Vazzy-%apiver.typelib

%files -n %namever-gir-devel
%_girdir/Vazzy-%apiver.gir

%changelog
