%def_enable introspection
%def_enable vala
%def_disable docs

Name: libxfce4util
Version: 4.20.0
Release: alt2

Summary: Utility library for the Xfce desktop environment
Summary(ru_RU.UTF-8): Библиотека утилит для рабочего стола Xfce
License: LGPLv2+
Group: Graphical desktop/XFce
Url: https://docs.xfce.org/xfce/libxfce4util/start

Packager: Xfce Team <xfce@packages.altlinux.org>

Vcs: https://gitlab.xfce.org/xfce/libxfce4util.git
Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildPreReq: rpm-build-xfce4 xfce4-dev-tools
BuildRequires: glib2-devel
%{?_enable_introspection:BuildRequires: gobject-introspection-devel}
%{?_enable_vala:BuildRequires: vala-tools}
# NOTE: gtk-doc is required by build system even if docs are disabled.
BuildRequires: gtk-doc

%define _unpackaged_files_terminate_build 1

%description
Libxfce4util is used to share commonly used non-GTK utilities among the
Xfce applications.

%description -l ru_RU.UTF-8
Основные (не графические) утилиты Xfce.

%package devel
Summary: Development files for %name
Group: Development/C
Requires: %name = %version-%release

%description devel
Header files for the %name library.

%if_enabled introspection
%package gir
Summary: GObject introspection data for %name
Group: System/Libraries
Requires: %name = %EVR

%description gir
GObject introspection data for %name.

%package gir-devel
Summary: GObject introspection devel data for %name
Group: System/Libraries
BuildArch: noarch
Requires: %name-gir = %EVR
Requires: %name-devel = %EVR

%description gir-devel
GObject introspection devel data for %name.
%endif

%if_enabled vala
%package vala
Summary: Vala bindings for %name
Group: System/Libraries
Requires: %name-devel = %EVR
BuildArch: noarch

%description vala
Vala bindings for %name.
%endif

%prep
%setup
%patch -p1

%build
%xfce4reconf
%configure \
	--disable-static \
	--enable-maintainer-mode \
	%{subst_enable introspection} \
	%{subst_enable vala} \
%if_enabled docs
	--enable-gtk-doc \
%else
	--disable-gtk-doc \
%endif
	--enable-debug=minimum
%make_build

%install
%makeinstall_std
%find_lang %name

%files -f %name.lang
%doc AUTHORS README.md NEWS
%_libdir/*.so.*
%_sbindir/*

%files devel
%if_enabled docs
%doc %_datadir/gtk-doc/html/%name
%endif
%dir %_includedir/xfce4/
%_includedir/xfce4/libxfce4util
%_pkgconfigdir/*.pc
%_libdir/*.so

%if_enabled introspection
%files gir
%_libdir/girepository-1.0/*.typelib

%files gir-devel
%_datadir/gir-1.0/*.gir
%endif

%if_enabled vala
%files vala
%_datadir/vala/vapi/%name-*
%endif

%changelog
