# on soname change rename lib package according to shared libs policy!
%global soname 4

Name: libxmp
Version: 4.6.2
Release: alt1

Summary: Module Player library for MOD, S3M, IT and others
License: MIT
Group: System/Libraries

Url: http://xmp.sf.net/
Source0: http://downloads.sf.net/xmp/%name-%version.tar.gz
Source100: %name.watch

BuildRequires: rpm-macros-cmake

%description
libxmp is a module player library which supports many module formats,
including MOD, S3M and IT. Possible applications for libxmp include
standalone module players, module player plugins for other players,
module information extractors, background music replayers for games
and other applications, converters, etc.

%package devel
Summary: Development files for libxmp, a MOD/S3M/IT/etc. module player library
Group: Development/C
Requires: %name = %version

%description devel
libxmp is a module player library which supports many module formats,
including MOD, S3M and IT. Possible applications for libxmp include
standalone module players, module player plugins for other players,
module information extractors, background music replayers for games
and other applications, converters, etc.

This subpackage contains headers and library development files for
libxmp.

%prep
%setup

%build
%configure
%make_build

%install
b="%buildroot"
make install DESTDIR="$b"
mkdir -p "$b/%_mandir/man3" "$b/%_docdir/%name"
install -pm0644 docs/Changelog docs/[a-z]* "$b/%_docdir/%name/"
# Remove file due to bnc#808655, and because they are hardware-specific
# and should not have much relevance for developers anyhow.
rm -f "$b/%_docdir/%name"/{adlib*,ay*.txt}
mv "$b/%_docdir/%name/libxmp.3" "$b/%_man3dir/"

%files -n %name
%_libdir/libxmp.so.%{soname}
%_libdir/libxmp.so.%{soname}.*
%doc docs/COPYING*

%files devel
%_includedir/xmp.h
%_libdir/libxmp.so
%_pkgconfigdir/libxmp.pc
%_cmakedir/%name/
%_man3dir/libxmp.3*
%_docdir/%name/

%changelog
