# Unpackaged files in buildroot should terminate build
%define _unpackaged_files_terminate_build 1

Name: lxqt-runner
Version: 2.1.2
Release: alt1

Summary: Tool used to launch programs quickly by typing their names
License: LGPL-2.1
Group: Graphical desktop/Other

Url: https://github.com/lxqt/lxqt-runner
Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires(pre): rpm-macros-cmake
BuildRequires: gcc-c++ cmake
BuildRequires: liblxqt-devel >= 2.0.0
BuildRequires: qt6-base-devel qt6-tools-devel
BuildRequires: kf6-kwindowsystem-devel
BuildRequires: plasma6-layer-shell-qt-devel
BuildRequires: rpm-build-xdg
BuildRequires: libqt6xdg-devel
BuildRequires: libmenu-cache-devel
BuildRequires: lxqt-globalkeys-devel
BuildRequires: libpcre-devel
BuildRequires: libmuparser-devel

Provides: razorqt-runner = %version
Obsoletes: razorqt-runner < 0.7.0

%description
%summary.

%prep
%setup
%patch -p1

%build
%add_optflags -I%_includedir/KF6/ -L%_libdir/kf6/devel/
%cmake
%cmake_build

%install
%cmake_install

%files
%_bindir/*
%_datadir/lxqt/translations/*
%doc AUTHORS CHANGELOG LICENSE README.md
%_man1dir/*
%_xdgconfigdir/*/*

%changelog
