%define _unpackaged_files_terminate_build 1

Name: openxray
Version: 1.6.02_2921
Release: alt1

Summary: X-Ray Engine Linux port by OpenXRay team
License: BSD-3-Clause
Group: Games/Other
Url: https://github.com/OpenXRay/xray-16
Vcs: https://github.com/OpenXRay/xray-16.git

ExcludeArch: ppc64le

Source: %name-%version.tar

BuildRequires(pre): rpm-macros-cmake
BuildRequires: cmake
BuildRequires: gcc-c++
BuildRequires: libfreeimage-devel
BuildRequires: libfreeimageplus-devel
BuildRequires: libjpeg-devel
BuildRequires: liblzo2-devel
BuildRequires: libpcre-devel
BuildRequires: tbb-devel
BuildRequires: libcryptopp-devel
BuildRequires: libGLEW-devel
BuildRequires: libogg-devel
BuildRequires: libopenal-devel
BuildRequires: libSDL2-devel
BuildRequires: libtheora-devel
BuildRequires: libvorbis-devel
BuildRequires: libmimalloc-devel

%description
OpenXRay is an improved version of the X-Ray Engine, the game engine
used in the world-famous S.T.A.L.K.E.R. game series by GSC Game World.

Currently the following games are supported:
 * S.T.A.L.K.E.R.: Call of Pripyat
 * S.T.A.L.K.E.R.: Clear Sky

To play one of the S.T.A.L.K.E.R. games with OpenXRay you need the
original game files.

%prep
%setup

%build
%cmake
%cmake_build

%install
%cmakeinstall_std
rm -v %buildroot%_datadir/openxray/gamedata/*/.gitattributes %buildroot%_libdir/*.a

%files
%doc License.txt README.md
%_bindir/xr_3da
%_libdir/xrAICore.so
%_libdir/xrAPI.so
%_libdir/xrCDB.so
%_libdir/xrCore.so
%_libdir/xrEngine.so
%_libdir/xrGame.so
%_libdir/xrLuaJIT.so
%_libdir/xrMaterialSystem.so
%_libdir/xrNetServer.so
%_libdir/xrParticles.so
%_libdir/xrRender_GL.so
%_libdir/xrScriptEngine.so
%_libdir/xrSound.so
%_libdir/xrUICore.so
%dir %_datadir/openxray
%_datadir/openxray/gamedata
%_datadir/openxray/fsgame.ltx
%_datadir/applications/openxray_*.desktop
%_datadir/icons/hicolor/*/apps/openxray_*.png
%exclude %_datadir/pixmaps/openxray_*.png
%_datadir/bash-completion/completions/xr_3da

%changelog
