Name: pdfpc
Version: 4.7.0
Release: alt1
Summary: A GTK based presentation viewer application for GNU/Linux

Group: Other
License: GPLv2+
Url: https://github.com/pdfpc/pdfpc
Source: %name-%version.tar

Patch0: pdfpc-alt-gst-video-info-from-caps.patch

BuildRequires(pre): rpm-macros-cmake
BuildRequires: cmake gst-plugins1.0-devel libgee0.8-devel libgtk+3-devel
BuildRequires: libgtk4-devel libpoppler-glib-devel libwebkit2gtk-devel vala
BuildRequires: libdiscount-devel libjson-glib-devel libqrencode-devel
BuildRequires: libwebkit2gtk4.1-devel

Provides: pdf-presenter-console

%description
pdfpc is a GTK based presentation viewer application for GNU/Linux which
uses Keynote like multi-monitor output to provide meta information to
the speaker during the presentation. It is able to show a normal
presentation window on one screen, while showing a more sophisticated
overview on the other one providing information like a picture of the
next slide, as well as the left over time till the end of the
presentation. The input files processed by pdfpc are PDF documents,
which can be created using nearly any of today's presentation software.

%prep
%setup
%patch0 -p1

%build
%cmake \
	-DSYSCONFDIR=/etc \
	#
%cmake_build

%install
%cmakeinstall_std

%files
%doc README.rst CHANGELOG.rst
%_bindir/%name
%config(noreplace) %_sysconfdir/%{name}rc
%_mandir/man1/%{name}*
%_mandir/man5/%{name}*
%dir %_datadir/%name
%_datadir/%name/icons
%_datadir/%name/css

%changelog
