%define dist WWW-Curl
Name: perl-%dist
Version: 4.17
Release: alt9

Summary: Perl extension interface for libcurl 
License: MPL
Group: Development/Perl

URL: %CPAN %dist
Source: http://www.cpan.org/authors/id/S/SZ/SZBALINT/WWW-Curl-%{version}.tar.gz
Patch0: WWW-Curl-4.17-Skip-preprocessor-symbol-only-CURL_STRICTER.patch
# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=941915
Patch1: WWW-Curl-4.17-define-CURL-as-void.patch
# Adapt to changes in cURL 7.69.0, bug #1812910, CPAN RT#132197
Patch2: WWW-Curl-4.17-Adapt-to-changes-in-cURL-7.69.0.patch
# Adapt to changes in cURL 7.87.0, bug #2160057, CPAN RT#145992
Patch3: WWW-Curl-4.17-Adapt-to-curl-7.87.0.patch
# Workound a bug in cURL 7.87.0, bug #2160057, CPAN RT#145992
Patch4: WWW-Curl-4.17-Work-around-a-macro-bug-in-curl-7.87.0.patch
Patch5: WWW-Curl-4.17-alt-no-win32.patch
# http://www.cpan.org/authors/id/S/SR/SREZIC/patches/WWW-Curl-4.17-PR24-ERRONEOUS1.patch
Patch6: http://www.cpan.org/authors/id/S/SR/SREZIC/patches/WWW-Curl-4.17-PR24-ERRONEOUS1-alt.patch
# fix build with gcc 14
Patch7: WWW-Curl-4.17-gcc14.patch

# Automatically added by buildreq on Wed Nov 16 2011
BuildRequires: libcurl-devel perl-Test-Pod perl-Test-Pod-Coverage perl(inc/Module/Install.pm)

%description
The perl module WWW::Curl provides an interface to the cURL library "libcurl".

%prep
%setup -q -n %dist-%version
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

rm -rf inc && sed -i -e '/^inc\//d' MANIFEST

# XXX tests fail
rm t/19multi.t

%ifdef __BTE
# disable network-dependent tests
%def_without test
%endif

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_archlib/WWW
%perl_vendor_autolib/WWW

%changelog
