%def_without static

Name: pstoedit
Version: 4.02
Release: alt1

Summary: converts Postscript(TM) and PDF files to other vector graphic formats
Summary(ru_RU.UTF-8): преобразует файлы Postscript(TM) и PDF в другие векторные форматы
License: GPLv2+
Group: Graphics
URL: http://www.pstoedit.net/pstoedit
Packager: Ilya Mashkin <oddity@altlinux.ru>

Source0: %name-%version.tar.gz


Patch0: pstoedit-3.40-alt3.3-makefile-ldl.patch
Patch1: pstoedit-3.44-alt2-pkg-config.patch

Patch10: pstoedit-3.44-cxxflags.patch
Patch11: pstoedit-3.45-quiet.patch
Patch12: pstoedit-3.45-gcc43.patch

Patch13: pstoedit-3.45-asy.patch
Patch14: pstoedit-3.45-elif.patch

# Fix cflags of the pkg-config file
Patch15:         pstoedit-pkglibdir.patch
Patch16:         pstoedit-fix-gcc12.patch


Requires: lib%name = %version-%release


# Automatically added by buildreq on Tue May 30 2006
BuildRequires: fontconfig gcc-c++ ghostscript-classic libgd2-devel libImageMagick-devel libplotter-devel libpng-devel pkg-config

%package -n lib%name
Summary: Libraries for pstoedit
Summary(ru_RU.UTF-8): Библиотеки для pstoedit
Group: Development/C

%package -n lib%name-devel
Summary: Development tools for pstoedit
Summary(ru_RU.UTF-8): Средства разработки для pstoedit
Group: Development/C
Requires: lib%name = %version-%release
Obsoletes: pstoedit-devel
Provides: pstoedit-devel = %version

%package -n lib%name-devel-static
Summary: Static libraries for developing pstoedit addons
Summary(ru_RU.UTF-8): Статические библиотеки для разработки дополнений к pstoedit
Group: Development/C
Requires: lib%name-devel = %version-%release
Obsoletes: pstoedit-devel-static-%version
Provides: pstoedit-devel-static

%description 
pstoedit converts PostScript and PDF files to various vector graphic
formats. The resulting files can be edited or imported into various
drawing packages. Pstoedit comes with a large set of format drivers
integrated in the binary. Additional drivers can be installed as plugins
and are available via http://www.pstoedit.net/plugins/. Just copy the
plugins to the same directory where the pstoedit binary is installed.
However, unless you also get a license key for the plugins, the
additional drivers will slightly distort the resulting graphics. See the
documentation provided with the plugins for further details.


%description -l ru_RU.UTF-8
pstoedit преобразует файлы PostScript и PDF в другие векторные форматы.
Полученные файлы можно редактировать или импортировать в различные
графические программы. В pstoedit уже содержится большое количество
обработчиков форматов (format drivers). Другие обработчики можно
устанавливать как дополнения (plugins), они доступны по адресу
http://www.pstoedit.net/plugins/. Просто скопируйте обработчик в тот же
самый каталог, в который установлена сама программа pstoedit. Однако,
если вы не получите файл с ключем для дополнений, дополнительные
обработчики будут слегка искажать изображение на выходе. Для
дополнительной информации смотрите документацию, прилагающуюся к
обработчику. 

%description -n lib%name
Libraries for pstoedit

%description -l ru_RU.UTF-8 -n lib%name
Библиотеки для pstoedit

%description -n lib%name-devel
Development tools for pstoedit


%description -l ru_RU.UTF-8 -n lib%name-devel
Средства разработки для pstoedit


%description -n lib%name-devel-static
Static libraries for developing pstoedit addons


%description -l ru_RU.UTF-8 -n lib%name-devel-static
Статические библиотеки для разработки дополнений к pstoedit

%prep
%setup -q %name-%version
#patch0 -p1
#patch1 -p1
#patch10 -p1 -b .cxxflags
#patch11 -p1 -b .quiet
%patch12 -p1 -b .gcc43
#patch13 -p1 -b .asy
#patch14 -p1 -b .elif
%patch15 -p1
%patch16 -p1

%__chmod 644 doc/*
%__chmod 644 examples/*
%__chmod 644 contrib/java/java1/*
%__chmod 644 contrib/java/java2/*
%__chmod 644 othersrc/gsdllinc/*

%build
%configure
sed -ri 's/^(hardcode_libdir_flag_spec|runpath_var)=.*/\1=/' libtool
%make CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS"


%install
%makeinstall pkgdatadir=$RPM_BUILD_ROOT%_datadir/pstoedit
%__install -d $RPM_BUILD_ROOT%_man1dir
%__install -m 664 doc/pstoedit.1 $RPM_BUILD_ROOT%_man1dir



# remove non-packaged files
%__rm -f %buildroot%_libdir/*.la
%__rm -f %buildroot%_libdir/pstoedit/*.la
%if_without static
%__rm -f %buildroot%_libdir/*.a
%__rm -f %buildroot%_libdir/pstoedit/*.a
%endif

%files
%_bindir/pstoedit
%_man1dir/*
%doc doc/changelog.htm doc/readme.txt doc/pstoedit.tex doc/pstoedit.pdf doc/pstoedit.htm doc/pstoedit.trans examples contrib/java

%files -n lib%name
%_libdir/*.so.*
%dir %_libdir/pstoedit
%_libdir/pstoedit/*
%dir %_datadir/pstoedit
%_datadir/pstoedit/*

%files -n lib%name-devel
%_libdir/*.so
%_includedir/*
%_datadir/aclocal/*
%_libdir/pkgconfig/*

%if_with static
%files -n lib%name-devel-static
%_libdir/*.a
%dir %_libdir/pstoedit
%_libdir/pstoedit/*.a
%endif

%changelog
