%define _unpackaged_files_terminate_build 1
%define pypi_name FormEncode

%def_with check

Name: python3-module-%pypi_name
Version: 2.1.1
Release: alt1
Epoch: 1

Summary: HTML form validation, generation, and convertion package for Python
License: MIT
Group: Development/Python3

Url: http://formencode.org
Vcs: https://github.com/formencode/formencode
BuildArch: noarch
Source0: %name-%version.tar
Source1: %pyproject_deps_config_name
Patch0: %name-%version-alt.patch
%pyproject_runtimedeps_metadata
# mapping from PyPI name
# https://www.altlinux.org/Management_of_Python_dependencies_sources#Mapping_project_names_to_distro_names
Provides: python3-module-%{pep503_name %pypi_name} = %EVR
BuildRequires(pre): rpm-build-pyproject
%pyproject_builddeps_build
%if_with check
%pyproject_builddeps_metadata
%pyproject_builddeps_check
%endif

%description
FormEncode validates and converts nested structures. It allows for
a declarative form of defining the validation, and decoupled processes
for filling and generating forms.

%prep
%setup
%autopatch -p1
%pyproject_scm_init
%pyproject_deps_resync_build
%pyproject_deps_resync_metadata
%if_with check
%pyproject_deps_resync_check_pipreqfile requirements-test.txt
%endif

%build
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run_pytest -ra tests

%files
%doc README.rst
%python3_sitelibdir/formencode/
%python3_sitelibdir/%pypi_name-%version.dist-info/

%changelog
