%define _unpackaged_files_terminate_build 1
%define pypi_name babelfish

%def_with check

Name: python3-module-%pypi_name
Version: 0.6.1
Release: alt1.1

Summary: A module to work with countries and languages
License: BSD-3-Clause
Group: Development/Python3
URL: https://pypi.org/project/babelfish
VCS: https://github.com/Diaoul/babelfish

BuildArch: noarch

Source: %name-%version.tar
Patch: %name-%version-alt.patch

BuildRequires(pre): rpm-build-python3

# build backend and its deps
BuildRequires: python3(poetry-core)

%if_with check
BuildRequires: python3(pkg_resources)
BuildRequires: python3-module-pytest
%endif

%description
BabelFish is a Python library to work with countries and languages.

%prep
%setup
%autopatch -p1

%build
%pyproject_build

%install
%pyproject_install

%check
%tox_create_default_config
%tox_check_pyproject

%files
%doc *.md
%python3_sitelibdir/babelfish/
%python3_sitelibdir/%{pyproject_distinfo %pypi_name}/

%changelog
