%global pypi_name easy-thumbnails

%def_without check

Name: python3-module-%pypi_name
Version: 2.10.0
Release: alt1

Summary: Easy thumbnails for Django

Group: Development/Python3
License: BSD-3-Clause
URL: https://pypi.org/project/easy-thumbnails
VCS: https://github.com/SmileyChris/easy-thumbnails

Source: %name-%version.tar
Patch: 065b74e13bc8445c4a4b612cfef60de036c0ca72.patch

BuildArch: noarch

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel

%if_with check
BuildRequires: python3-module-django
BuildRequires: python3-module-django-dbbackend-sqlite3
BuildRequires: python3-module-Pillow
BuildRequires: python3-module-Reportlab
BuildRequires: python3-module-svglib
%endif

%description
A powerful, yet easy to implement thumbnailing
application for Django 1.8+

%prep
%setup
%patch -p1

%build
%pyproject_build

%install
%pyproject_install

%check
# this runs 119 tests, which pyunittest or pytest won't make
export DJANGO_SETTINGS_MODULE='easy_thumbnails.tests.settings'
export PYTHONPATH=$PWD
%__python3 -m django test -v 2

%files
%doc LICENSE *.rst
%python3_sitelibdir/easy_thumbnails
%python3_sitelibdir/easy_thumbnails-2.10.dist-info

%changelog
