
Summary: Python bindings for the libvirt library
Name: python3-module-libvirt
Version: 11.0.0
Release: alt1
Url: https://libvirt.org
Vcs: https://gitlab.com/libvirt/libvirt-python.git
Source: %name-%version.tar
License: LGPL-2.1-or-later
Group: Development/Python3

Requires: libvirt-client
BuildRequires: libvirt-devel >= 2.0.0
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-devel python3(setuptools)
# For check
BuildRequires: pytest3 python3(lxml)

Obsoletes: libvirt-python3 < %version-%release
Provides: libvirt-python3 = %version-%release

%description
The libvirt-python package contains a module that permits applications
written in the Python programming language to use the interface
supplied by the libvirt library to use the virtualization capabilities
of recent versions of Linux (and other OSes).

%prep
%setup -q

%build
%pyproject_build

%install
%pyproject_install

%check
export PYTHONPATH=%buildroot/%python3_sitelibdir/
%pyproject_run_pytest

%files
%python3_sitelibdir/*
%doc README COPYING examples

%changelog
