%define _unpackaged_files_terminate_build 1
%define pypi_name pyasn1

%def_with check

Name: python3-module-%pypi_name
Version: 0.6.1
Release: alt1
Summary: Pure-Python implementation of ASN.1 types and DER/BER/CER codecs (X.208)
License: BSD-2-Clause
Group: Development/Python3
Url: https://pypi.org/project/pyasn1/
Vcs: https://github.com/pyasn1/pyasn1
BuildArch: noarch
Source0: %name-%version.tar
Source1: %pyproject_deps_config_name
Patch: %name-%version-alt.patch

%pyproject_runtimedeps_metadata
BuildRequires(pre): rpm-build-pyproject
%pyproject_builddeps_build

%if_with check
%pyproject_builddeps_metadata
%endif

%description
This is an implementation of ASN.1 types and codecs in Python programming
language. It has been first written to support particular protocol (SNMP)
but then generalized to be suitable for a wide range of protocols
based on ASN.1 specification.

%prep
%setup
%patch -p1
%pyproject_deps_resync_build
%pyproject_deps_resync_metadata

%build
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run_unittest discover -s tests

%files
%doc README.md CHANGES.rst
%python3_sitelibdir/pyasn1/
%python3_sitelibdir/%{pyproject_distinfo %pypi_name}/

%changelog
