%define _unpackaged_files_terminate_build 1
%define pypi_name pyasn1-modules

%def_with check

Name: python3-module-%pypi_name
Version: 0.4.1
Release: alt1
Summary: A collection of ASN.1-based protocols modules
License: BSD-2-Clause
Group: Development/Python3
Url: https://pypi.org/project/pyasn1-modules/
Vcs: https://github.com/pyasn1/pyasn1-modules
BuildArch: noarch
Source: %name-%version.tar
Source1: %pyproject_deps_config_name
Patch: %name-%version-alt.patch
%pyproject_runtimedeps_metadata
BuildRequires(pre): rpm-build-pyproject
%pyproject_builddeps_build

%if_with check
%pyproject_builddeps_metadata
%endif

%description
The %pypi_name package contains a collection of ASN.1 data structures
expressed as Python classes based on pyasn1 data model.

%prep
%setup
%autopatch -p1
%pyproject_deps_resync_build
%pyproject_deps_resync_metadata

%build
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run_unittest discover -s tests

%files
%doc README.md
%python3_sitelibdir/pyasn1_modules/
%python3_sitelibdir/%{pyproject_distinfo %pypi_name}/

%changelog
