%define _unpackaged_files_terminate_build 1
%define pypi_name rich
%define mod_name %pypi_name

%def_with check

Name: python3-module-%pypi_name
Version: 13.9.4
Release: alt2
Summary: Render rich text and beautiful formatting in the terminal
License: MIT
Group: Development/Python3
Url: https://pypi.org/project/rich/
Vcs: https://github.com/Textualize/rich
BuildArch: noarch
Source: %name-%version.tar
Source1: %pyproject_deps_config_name
Patch0: %name-%version-alt.patch
%pyproject_runtimedeps_metadata
BuildRequires(pre): rpm-build-pyproject
%pyproject_builddeps_build
%if_with check
%pyproject_builddeps_metadata
# asv is not yet packaged
%add_pyproject_deps_check_filter asv
%pyproject_builddeps_check
# missing dependency: tests/test_syntax.py::pkg_resources
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-packaging
%endif

%description
Rich is a Python library for rich text and beautiful formatting in the terminal.
The Rich API makes it easy to add color and style to terminal output. Rich can
also render pretty tables, progress bars, markdown, syntax highlighted source
code, tracebacks, and more - out of the box.

%prep
%setup
%autopatch -p1
%pyproject_deps_resync_build
%pyproject_deps_resync_metadata
%if_with check
%pyproject_deps_resync_check_poetry dev
%endif

%build
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run_pytest tests -ra

%files
%doc README.md LICENSE
%python3_sitelibdir/%mod_name/
%python3_sitelibdir/%{pyproject_distinfo %pypi_name}/

%changelog
