%define oname semver
%def_with check

Name: python3-module-%oname
Version: 3.0.4
Release: alt1

Summary: Python package to work with Semantic Versioning

Group: Development/Python3
License: BSD-3-Clause
URL: https://pypi.org/project/semver
VCS: https://github.com/python-semver/python-semver

Source: %name-%version.tar

BuildArch: noarch

BuildRequires(pre): rpm-build-python3
BuildRequires: python3(setuptools)
BuildRequires: python3(wheel)

%if_with check
BuildRequires: python3(pytest)
BuildRequires: python3(pytest-cov)
BuildRequires: python3(tox)
BuildRequires: python3(tox_console_scripts)
BuildRequires: python3(tox_no_deps)
%endif

%description
A Python module for semantic versioning. Simplifies comparing versions.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%check
%tox_check_pyproject

%files
%doc *.rst LICENSE.txt
%_bindir/pysemver
%python3_sitelibdir/%oname
%python3_sitelibdir/%oname-%version.dist-info/

%changelog
