%define _unpackaged_files_terminate_build 1
%define pypi_name yamlloader

%def_with check

Name: python3-module-%pypi_name
Version: 1.5.1
Release: alt1
Summary: Ordered YAML loader and dumper for PyYAML
License: MIT
Group: Development/Python3
Url: https://pypi.org/project/yamlloader
VCS: https://github.com/Phynix/yamlloader.git
BuildArch: noarch
Source: %name-%version.tar
Source1: %pyproject_deps_config_name
Patch0: %name-%version-alt.patch
%pyproject_runtimedeps_metadata
BuildRequires(pre): rpm-build-pyproject
%pyproject_builddeps_build
%if_with check
%pyproject_builddeps_metadata_extra test
%endif

%description
This module provides loaders and dumpers for PyYAML. Currently, an OrderedDict
loader/dumper is implemented, allowing to keep items order when loading resp.
dumping a file from/to an OrderedDict (Python 3.7+: Also regular dicts are
supported and are the default items to be loaded to. As of Python 3.7
preservation of insertion order is a language feature of regular dicts.).

%prep
%setup
%autopatch -p1
%pyproject_scm_init
%pyproject_deps_resync_build
%pyproject_deps_resync_metadata

%build
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run_unittest discover

%files
%doc README.rst
%python3_sitelibdir/yamlloader/
%python3_sitelibdir/%{pyproject_distinfo %pypi_name}/

%changelog
