Name: rosegarden
Version: 24.12.1
Release: alt1

Summary: MIDI sequencer and musical notation editor
License: GPLv2
Group: Sound
Url: http://www.rosegardenmusic.com

Source: %name-%version-%release.tar

BuildRequires: cmake gcc-c++ ladspa_sdk
BuildRequires: pkgconfig(Qt6)
BuildRequires: pkgconfig(Qt6Core5Compat)
BuildRequires: pkgconfig(Qt6Linguist)
BuildRequires: pkgconfig(alsa)
BuildRequires: pkgconfig(dssi)
BuildRequires: pkgconfig(fftw3f)
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(jack)
BuildRequires: pkgconfig(liblo)
BuildRequires: pkgconfig(lilv-0)
BuildRequires: pkgconfig(lrdf)
BuildRequires: pkgconfig(samplerate)
BuildRequires: pkgconfig(sndfile)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(zlib)

%description
Rosegarden is a music composition and editing environment based around
a MIDI sequencer that features a rich understanding of music notation
and includes basic support for digital audio.
Rosegarden is an easy-to-learn, attractive application that runs on Linux,
ideal for composers, musicians, music students, and small studio or home
recording environments.

%prep
%setup
# a must for every project btw
sed -i "s/UNSTABLE/STABLE/" CMakeLists.txt

%build
%cmake -DUSE_QT6=ON
%cmake_build

%install
%cmakeinstall_std

%files
%doc AUTHORS CONTRIBUTING README.md
%_bindir/rosegarden
%_desktopdir/*.desktop
%_iconsdir/*/*/*/*.png
%_datadir/metainfo/rosegarden.*
%_datadir/mime/packages/rosegarden.*

%changelog
