%define native_code_gen %nil
%define dyn_libs %nil
%define no_interpreter %nil

%ifarch %ix86 x86_64
%define native_code_gen_split_objs --enable-split-objs
%define native_code_gen_split_sections --enable-split-sections
%define dyn_libs --enable-shared
%else
%define no_interpreter --ghc-option=-DALT_NO_GHCI --flags=-templateHaskell
%endif

Name: rpm-build-haskell
Version: 1.5.1
Release: alt1

Summary: RPM helpers to rebuild Haskell packages
License: MIT
Group: Development/Haskell

Source: scripts-%version.tar
Source1: macros
Source2: buildreq-ignore
Source3: haskell.env
Source4: extra

# Uses the modular reqprov subsystem
Conflicts: rpm-build < 4.0.4-alt78

%description
RPM macros and reqprov helpers to be used in Haskell packages.

There is currently no support for compilers other than GHC.

%package extra
Summary: RPM helpers for ghc bulding
Group: Development/Haskell

Requires: %name = %EVR

%description extra
%summary

%prep
%setup -n scripts-%version

%install
mkdir -p %buildroot%_rpmlibdir
cp haskell.* -t %buildroot%_rpmlibdir/
mkdir -p %buildroot%_rpmmacrosdir
sed \
	-e 's/@ENABLE_SPLIT_OBJS@/%{native_code_gen_split_objs}/' \
	-e 's/@ENABLE_SPLIT_SECTIONS@/%{native_code_gen_split_sections}/' \
	-e 's/@ENABLE_SHARED@/%{dyn_libs}/' \
	-e 's/@NO_INTERPRETER@/%{no_interpreter}/' \
	%SOURCE1 > %buildroot%_rpmmacrosdir/haskell
install -D %SOURCE2 \
	%buildroot%_sysconfdir/buildreqs/files/ignore.d/rpm-build-haskell
install -D -m0755 %SOURCE3 \
	%buildroot%_rpmmacrosdir/haskell.env
install -D -m0755 hs_gen_filelist.sh %buildroot%_libexecdir/%name/hs_gen_filelist.sh
install -D -m0755 ghc_gen_filelist.sh %buildroot%_libexecdir/%name/ghc_gen_filelist.sh
install -D -m0755 %SOURCE4 \
	%buildroot%_rpmmacrosdir/ghc-extra

%files
%_rpmlibdir/haskell.*
%_rpmmacrosdir/haskell*
%_sysconfdir/buildreqs/files/ignore.d/rpm-build-haskell
%_libexecdir/%name

%files extra
%_rpmmacrosdir/ghc-extra

%changelog
