Name:    sakura
Version: 3.8.8
Release: alt1

Summary: Simple but powerful libvte based terminal emulator for X11
License: GPLv2 
Group:   Terminals
Url:     https://github.com/dabisu/sakura

Packager: Ulysses Apokin <ulysses@altlinux.org>

Source: %name-%version.tar
Patch0: 0001-Removed-image-installation-from-cmake.patch
Patch1: 0002-New-palette-added-monochrome.patch

Provides: xvt
Provides: x-terminal-emulator

BuildRequires(pre): cmake gcc-c++
BuildRequires: libvte3-devel libgtk+3-devel libpcre2-devel pkgconfig
BuildRequires: libffi-devel perl-podlators

# For desktop file
BuildRequires: desktop-file-utils

# For to convert SVG to PNG
BuildRequires: ImageMagick

%description
Sakura is a terminal emulator and it's only dependencies are GTK and VTE.
It uses a notebook to provide several terminals in one window and allows to
change configuration options via a contextual menu. No more no less.

%prep
%setup
%patch0 -p1
%patch1 -p1
mv terminal-tango.svg %name-terminal-emulator.svg
magick -background none %name-terminal-emulator.svg -strip %name-terminal-emulator.png

%build
%cmake -DCMAKE_BUILD_TYPE=Release
%cmake_build

%install
%cmake_install
%find_lang %name

install -Dm 644 %name-terminal-emulator.png \
	%buildroot%_pixmapsdir/%name-terminal-emulator.png

desktop-file-install --dir %buildroot%_desktopdir \
	--set-icon=%name-terminal-emulator \
	--set-generic-name=%name \
	%buildroot%_desktopdir/%name.desktop

%files -f %name.lang
%_bindir/%name
%doc README.* LICENSE AUTHORS
%_desktopdir/%name.desktop
%_pixmapsdir/%name-terminal-emulator.*
%_man1dir/%name.1.xz

%changelog
