Name: sox
Summary: A general purpose sound file conversion tool
Version: 14.4.2
Release: alt8
License: GPLv2+ and LGPLv2+ and MIT
Group: Sound
BuildRequires: glibc-devel-static libalsa-devel libao-devel libflac-devel libgomp-devel libgsm-devel libid3tag-devel liblame-devel libltdl7-devel libmad-devel libmagic-devel libopencore-amrnb-devel libopencore-amrwb-devel libopusfile-devel libpng-devel libsndfile-devel libvorbis-devel libwavpack-devel
%def_with pulse
Url: https://sourceforge.net/projects/sox/
Source: %name-%version.tar
Source1: soxeffect
Patch1: sox-14.4.2-fix-build.patch
Patch2: sox-14.4.2-debian-CVE-2017-15371.patch
Patch3: sox-14.4.2-debian-CVE-2019-8355.patch
Patch4: sox-14.4.2-debian-CVE-2021-33844.patch
Patch5: sox-14.4.2-debian-CVE-2017-15370.patch
Patch6: sox-14.4.2-debian-CVE-2019-8356.patch
Patch7: sox-14.4.2-debian-CVE-2021-3643.patch
Patch8: sox-14.4.2-debian-CVE-2017-11332.patch
Patch9: sox-14.4.2-debian-CVE-2019-8357.patch
Patch10: sox-14.4.2-debian-CVE-2021-40426.patch
Patch11: sox-14.4.2-debian-CVE-2017-11359.patch
Patch12: sox-14.4.2-debian-CVE-2023-32627-filter-null-sampling-rate-in-VOC-code.patch
Patch13: sox-14.4.2-debian-CVE-2022-31650.patch
Patch14: sox-14.4.2-debian-CVE-2017-15372.patch
Patch15: sox-14.4.2-debian-CVE-2017-11358.patch
Patch16: sox-14.4.2-debian-CVE-2022-31651.patch
Patch17: sox-14.4.2-debian-CVE-2017-15642.patch
Patch18: sox-14.4.2-debian-CVE-2019-13590.patch
Patch19: sox-14.4.2-debian-CVE-2019-8354.patch
Patch20: sox-14.4.2-debian-CVE-2021-23159.patch
Patch21: sox-14.4.2-debian-wavpack-check-errors.patch
Patch22: sox-14.4.2-debian-xa-validate-channel-count.patch
Patch23: sox-14.4.2-debian-handle-vorbis-analysis-headerout-errors.patch
Patch24: sox-14.4.2-debian-fix-hcom-big-endian.patch
Patch25: sox-14.4.2-debian-fix-resource-leak-comments.patch
Patch26: sox-14.4.2-debian-fix-resource-leak-hcom.patch
Patch27: sox-14.4.2-sox_sample_test-clean-up-nonsense.patch
Requires: sox-play = %version-%release
Requires: sox-base = %version-%release
Requires: libsox-fmt-alsa = %version-%release
Requires: libsox-fmt-ao = %version-%release
Requires: libsox-fmt-caf = %version-%release
Requires: libsox-fmt-fap = %version-%release
Requires: libsox-fmt-flac = %version-%release
Requires: libsox-fmt-gsm = %version-%release
Requires: libsox-fmt-lpc10 = %version-%release
Requires: libsox-fmt-mat4 = %version-%release
Requires: libsox-fmt-mat5 = %version-%release
Requires: libsox-fmt-mp3 = %version-%release
Requires: libsox-fmt-oss = %version-%release
Requires: libsox-fmt-opus = %version-%release
Requires: libsox-fmt-paf = %version-%release
%if_with pulse
Requires: libsox-fmt-pulseaudio = %version-%release
%endif
Requires: libsox-fmt-pvf = %version-%release
Requires: libsox-fmt-sd2 = %version-%release
Requires: libsox-fmt-sndfile = %version-%release
Requires: libsox-fmt-vorbis = %version-%release
Requires: libsox-fmt-w64 = %version-%release
Requires: libsox-fmt-wavpack = %version-%release
Requires: libsox-fmt-xi = %version-%release
Requires: libsox-fmt-caf = %version-%release
Requires: libsox-fmt-fap = %version-%release
%{?_with_pulse:BuildRequires: libpulseaudio-devel}

%package -n libsox-devel
Summary: The SoX sound file format converter headers files and libraries
Group: Sound
Requires: %name = %version-%release
Obsoletes: sox-devel < %version-%release
Provides: sox-devel = %version-%release

%description -n libsox-devel
This package contains the headers and library needed for compiling
applications which will use the SoX sound file format converter.

%package -n libsox-fmt-alsa
Summary: %summary
Group: Sound

%description -n libsox-fmt-alsa
%summary

%package -n libsox-fmt-ao
Summary: %summary
Group: Sound

%description -n libsox-fmt-ao
%summary

%package -n libsox-fmt-caf
Summary: %summary
Group: Sound

%description -n libsox-fmt-caf
%summary

%package -n libsox-fmt-fap
Summary: %summary
Group: Sound

%description -n libsox-fmt-fap
%summary

%package -n libsox-fmt-flac
Summary: %summary
Group: Sound

%description -n libsox-fmt-flac
%summary

%package -n libsox-fmt-gsm
Summary: %summary
Group: Sound

%description -n libsox-fmt-gsm
%summary

%package -n libsox-fmt-lpc10
Summary: %summary
Group: Sound

%description -n libsox-fmt-lpc10
%summary

%package -n libsox-fmt-mat4
Summary: %summary
Group: Sound

%description -n libsox-fmt-mat4
%summary

%package -n libsox-fmt-mat5
Summary: %summary
Group: Sound

%description -n libsox-fmt-mat5
%summary

%package -n libsox-fmt-mp3
Summary: %summary
Group: Sound

%description -n libsox-fmt-mp3
%summary

%package -n libsox-fmt-opus
Summary: %summary
Group: Sound

%description -n libsox-fmt-opus
%summary

%package -n libsox-fmt-oss
Summary: %summary
Group: Sound

%description -n libsox-fmt-oss
%summary

%package -n libsox-fmt-paf
Summary: %summary
Group: Sound

%description -n libsox-fmt-paf
%summary

%package -n libsox-fmt-pulseaudio
Summary: %summary
Group: Sound

%description -n libsox-fmt-pulseaudio
%summary

%package -n libsox-fmt-pvf
Summary: %summary
Group: Sound

%description -n libsox-fmt-pvf
%summary

%package -n libsox-fmt-sd2
Summary: %summary
Group: Sound

%description -n libsox-fmt-sd2
%summary

%package -n libsox-fmt-sndfile
Summary: %summary
Group: Sound

%description -n libsox-fmt-sndfile
%summary

%package -n libsox-fmt-vorbis
Summary: %summary
Group: Sound

%description -n libsox-fmt-vorbis
%summary

%package -n libsox-fmt-w64
Summary: %summary
Group: Sound

%description -n libsox-fmt-w64
%summary

%package -n libsox-fmt-wavpack
Summary: %summary
Group: Sound

%description -n libsox-fmt-wavpack
%summary

%package -n libsox-fmt-xi
Summary: %summary
Group: Sound

%description -n libsox-fmt-xi
%summary

%package -n libsox3
Summary: The SoX sound file format converter libraries
Group: Development/C

%description -n libsox3
This package contains libraries for SoX

%package base
Summary: A general purpose sound file conversion tool
Group: Sound
Conflicts: sox < %version-%release

%description base
SoX (Sound eXchange) is a sound file format converter for Linux,
UNIX and DOS PCs. The self-described 'Swiss Army knife of sound
tools,' SoX can convert between many different digitized sound
formats and perform simple sound manipulation functions,
including sound effects.
Install the %name package if you'd like to convert sound file formats
or manipulate some sounds.

%package play
Summary: A general purpose sound file conversion tool
Group: Sound
BuildArch: noarch
Requires: sox-base = %version-%release
Requires: libsox-fmt-oss = %version-%release
Requires: libsox-fmt-alsa = %version-%release
Requires: libsox-fmt-vorbis = %version-%release

%description play
SoX (Sound eXchange) is a sound file format converter for Linux,
UNIX and DOS PCs. The self-described 'Swiss Army knife of sound
tools,' SoX can convert between many different digitized sound
formats and perform simple sound manipulation functions,
including sound effects.
Install the %name package if you'd like to convert sound file formats
or manipulate some sounds.

%description
SoX (Sound eXchange) is a sound file format converter for Linux,
UNIX and DOS PCs. The self-described 'Swiss Army knife of sound
tools,' SoX can convert between many different digitized sound
formats and perform simple sound manipulation functions,
including sound effects.
Install the %name package if you'd like to convert sound file formats
or manipulate some sounds.

%prep
%setup
%autopatch -p2
sed -i 's,\-I/lib/modules/`uname -r`/build/include,,' configure*
%ifarch %e2k
# still unsupported as of lcc 1.21.24
sed -i 's,-Wtraditional-conversion,,' configure*
sed -i -E ":a;/\\\\$/{N;ba};\
/^[[:space:]]*#pragma omp .*[[:space:]]if\(/{s/#/for(long &/;\
s/(#.*if *\()([^()]*(\([^()]*(\([^()]*\)[^()]*)*\)[^()]*)*)\)/_xxxi=\\2,\\1_xxxi)/;\
s/#/_xxxc=1;_xxxc;_xxxc=0)\n&/}" src/effects.c
%endif

%build
%autoreconf
%configure \
           --with-dyn-default \
           --enable-dl-amrnb \
           --enable-dl-amrwb \
           --enable-dl-sndfile
%make_build

%install
%makeinstall install
install %SOURCE1 %buildroot%_bindir/soxeffect
sed -i 's,\(/usr/\)local/,\1,' %buildroot%_bindir/soxeffect
rm -f %buildroot%_bindir/rec
ln -s play %buildroot%_bindir/rec
cat << EOF >%buildroot%_bindir/%{name}play
#!/bin/sh
%_bindir/%name \$1 -t .au - >/dev/audio
EOF
chmod 755 %buildroot%_bindir/%{name}play

rm -rf %buildroot%_libdir/*.a
rm -rf %buildroot%_libdir/sox/*.a

%files
%doc ChangeLog README

%files -n libsox-devel
%_includedir/*
%_libdir/libsox.so
%_pkgconfigdir/*.pc
%_man3dir/*

%files -n libsox-fmt-alsa
%_libdir/sox/libsox_fmt_alsa.so

%files -n libsox-fmt-ao
%_libdir/sox/libsox_fmt_ao.so

%files -n libsox-fmt-caf
%_libdir/sox/libsox_fmt_caf.so

%files -n libsox-fmt-fap
%_libdir/sox/libsox_fmt_fap.so

%files -n libsox-fmt-flac
%_libdir/sox/libsox_fmt_flac.so

%files -n libsox-fmt-gsm
%_libdir/sox/libsox_fmt_gsm.so

%files -n libsox-fmt-lpc10
%_libdir/sox/libsox_fmt_lpc10.so

%files -n libsox-fmt-mat4
%_libdir/sox/libsox_fmt_mat4.so

%files -n libsox-fmt-mat5
%_libdir/sox/libsox_fmt_mat5.so

%files -n libsox-fmt-mp3
%_libdir/sox/libsox_fmt_mp3.so

%files -n libsox-fmt-opus
%_libdir/sox/libsox_fmt_opus.so

%files -n libsox-fmt-oss
%_libdir/sox/libsox_fmt_oss.so

%files -n libsox-fmt-paf
%_libdir/sox/libsox_fmt_paf.so

%files -n libsox-fmt-pulseaudio
%{?_with_pulse:%_libdir/sox/libsox_fmt_pulseaudio.so}

%files -n libsox-fmt-pvf
%_libdir/sox/libsox_fmt_pvf.so

%files -n libsox-fmt-sd2
%_libdir/sox/libsox_fmt_sd2.so

%files -n libsox-fmt-sndfile
%_libdir/sox/libsox_fmt_sndfile.so

%files -n libsox-fmt-vorbis
%_libdir/sox/libsox_fmt_vorbis.so

%files -n libsox-fmt-w64
%_libdir/sox/libsox_fmt_w64.so

%files -n libsox-fmt-wavpack
%_libdir/sox/libsox_fmt_wavpack.so

%files -n libsox-fmt-xi
%_libdir/sox/libsox_fmt_xi.so

%files -n libsox3
%_libdir/libsox.so.3*
%_libdir/libsox.so.3.*
%dir %_libdir/sox

%files base
%_bindir/*
%_man1dir/sox.*
%_man1dir/play.*
%_man1dir/rec.*
%_man1dir/soxi.*
%_man7dir/*

%files play
%changelog
