%def_disable clang

Name: startdde
Version: 6.1.2
Release: alt1
Epoch: 1

Summary: Starter of deepin desktop environment

License: GPL-3.0+
Group: Graphical desktop/Other
Url: https://github.com/linuxdeepin/startdde
Vcs: https://github.com/linuxdeepin/startdde.git

Source: %url/archive/%version/%name-%version.tar.gz
Source1: vendor.tar

%if_enabled clang
BuildRequires(pre): clang-devel
%else
BuildRequires(pre): gcc-c++
%endif
BuildRequires(pre): rpm-build-golang /proc
BuildRequires: glib2-devel libgio-devel libgtk+3-devel libXcursor-devel libXfixes-devel libXi-devel libgudev-devel libgnome-keyring-devel libpulseaudio-devel libalsa-devel libsecret-devel

%description
Startdde is used for launching DDE components and invoking user's custom applications which compliant with xdg autostart specification.

%package -n lightdm-deepin-greeter-settings
Summary: Config for own lightdm theme
Group: System/Configuration/Other
BuildArch: noarch
Requires: deepin-session-shell

%description -n lightdm-deepin-greeter-settings
The package provides the configuration file
for enabling the deepin theme for lightdm.

%prep
%setup -a1

%build
%if_enabled clang
export CC="clang"
export CXX="clang++"
export AR="llvm-ar"
%endif
export GOPATH="$(pwd)/vendor:%go_path"
%make

%install
export GOPATH="%go_path"
%makeinstall DESTDIR=%buildroot
%find_lang %name

%files -f %name.lang
%_bindir/%name
%_sbindir/deepin-fix-xauthority-perm
%dir %_libexecdir/deepin-daemon/
%_libexecdir/deepin-daemon/greeter-display-daemon
%dir %_datadir/%name/
%_datadir/%name/filter.conf
%_datadir/glib-2.0/schemas/com.deepin.dde.display.gschema.xml
%_userunitdir/dde-display-task-refresh-brightness.service
%dir %_userunitdir/dde-session-initialized.target.wants/
%_userunitdir/dde-session-initialized.target.wants/dde-display-task-refresh-brightness.service
%dir %_datadir/dsg/
%dir %_datadir/dsg/configs/
%dir %_datadir/dsg/configs/org.deepin.startdde/
%dir %_datadir/dsg/configs/org.deepin.startdde/org.deepin.XSettings.json

%files -n lightdm-deepin-greeter-settings
%_datadir/lightdm/lightdm.conf.d/60-deepin.conf

%changelog
