Name: steam
Version: 1.0.0.82
Release: alt2

Summary: Launcher for the Steam software distribution service
License: ALT-Steam
Group: Games/Other

URL: http://www.steampowered.com/
Packager: Nazarov Denis <nenderus@altlinux.org>

ExclusiveArch: %ix86

Source0: https://repo.steampowered.com/%name/archive/stable/%{name}_%version.tar.gz
Source1: %{name}_install_agreement.txt
Source2: %name-nm.rules
Source3: %name.watch

Patch0: %name-desktop-alt.patch
Patch1: %name-xvt-alt.patch
Patch2: %name-libgl-drivers-path.patch
Patch3: %name-steamvr-alt.patch

BuildRequires(Pre): rpm-build-python3

Requires: bash >= 4.4
Requires: curl
Requires: glibc-pthread >= 2.15
Requires: glibc-nss >= 2.15
Requires: libcurl
Requires: libdbusmenu-gtk2
Requires: libEGL
Requires: libGL
Requires: libnm
Requires: libnsl1
Requires: libnss
Requires: lsof
Requires: sysctl-conf-userns
Requires: xz

%add_python3_path %_libexecdir/%name/%{name}_launcher

%description
Steam is a software distribution service with an online store, automated
installation, automatic updates, achievements, SteamCloud synchronized
savegame and screenshot functionality, and many social features.

%prep
%setup -n %name-launcher
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%install
%makeinstall_std
%__rm -rf %buildroot%_bindir/%{name}deps
%__install -Dp -m0644 subprojects/%name-devices/60-%name-input.rules %buildroot%_udevrulesdir/60-%name-input.rules
%__install -Dp -m0644 subprojects/%name-devices/60-%name-vr.rules %buildroot%_udevrulesdir/60-%name-vr.rules
%__install -Dp -m0644 %SOURCE1 %buildroot%_defaultdocdir/%name/%{name}_install_agreement.txt
%__install -Dp -m0644 %SOURCE2 %buildroot%_datadir/polkit-1/rules.d/%name-nm.rules

%files
%_bindir/%name
%dir %_libexecdir/%name
%_libexecdir/%name/*
%_desktopdir/%name.desktop
%dir %_defaultdocdir/%name
%_defaultdocdir/%name/*
%_iconsdir/hicolor/*/apps/%name.png
%_datadir/metainfo/com.valvesoftware.Steam.metainfo.xml
%_man6dir/%{name}*
%_pixmapsdir/%{name}*.png
%config %_udevrulesdir/60-%name-input.rules
%config %_udevrulesdir/60-%name-vr.rules
%config %_datadir/polkit-1/rules.d/%name-nm.rules

%changelog 
