Name: tea
Version: 63.1.0
Release: alt1

Summary: Powerful text editor with many HTML editing and text processing functions

Packager: Vitaly Lipatov <lav@altlinux.ru>

License: GPL
Group: Text tools
Url: http://semiletov.org/tea/

#Source: http://semiletov.org/tea/dloads/tea-%version.tar
# Source-url: https://github.com/psemiletov/tea-qt/archive/%version.tar.gz
Source: %name-%version.tar

BuildRequires(pre): rpm-macros-qt5
BuildRequires: gcc-c++ zlib-devel libaspell-devel qt5-base-devel qt5-declarative-devel

%description
Tea is a useful and simple in use Qt-based editor for GNU/Linux and
FreeBSD, released under GPL.

%prep
%setup

%build
%qmake_qt5
%make_build

%install
install -D bin/%name %buildroot%_bindir/%name
mkdir -p %buildroot%_pixmapsdir
cp icons/*.png %buildroot%_pixmapsdir/

mkdir -p %buildroot%_desktopdir
cat <<EOF >%buildroot%_desktopdir/%name.desktop
[Desktop Entry]
Encoding=UTF-8
Name=Tea
Comment=Tea is a small but powerful text editor
Comment[ru]=Tea - небольшой, но мощный текстовый редактор
Comment[ua]=Tea - малий, але дуже потужний текстовий редактор
TryExec=%name
Exec=%_bindir/%name
Icon=tea_icon_v2.png
Terminal=false
Type=Application
Categories=Application;Office
EOF

%find_lang %name

%files -f %name.lang
%_bindir/*
%doc AUTHORS ChangeLog NEWS README.md TODO
#%_datadir/%name
%_pixmapsdir/*
%_desktopdir/%name.desktop

%changelog
