Name: tuifeed
Version: 0.3.2
Release: alt1

Summary: A terminal feed reader with a fancy ui
License: MIT
Group: Networking/News
Url: https://github.com/veeso/tuifeed
VCS: https://github.com/veeso/tuifeed

Source0: %name-%version.tar
Source1: vendor.tar

ExclusiveArch: x86_64 i586 aarch64
 
BuildRequires(pre): rpm-build-rust
BuildRequires: /proc

%description
tuifeed is a news feed reader with a fancy terminal user interface. 
It allows you read news from your favourite RSS and Atom sources, 
which can be easily configured in a TOML file.

%prep
%setup
mkdir -p .cargo
cat >> .cargo/config <<EOF
[source.crates-io]
replace-with = "vendored-sources"

[source.vendored-sources]
directory = "vendor"
EOF

tar -xf %SOURCE1 -C %_builddir/%name-%version/

%build
%rust_build 

%install
%rust_install 

install -Dm 0644 docs/images/%name-128.png %buildroot%_iconsdir/hicolor/128x128/apps/%name.png
install -Dm 0644 docs/images/%name-256.png %buildroot%_iconsdir/hicolor/256x256/apps/%name.png
install -Dm 0644 docs/images/%name-512.png %buildroot%_iconsdir/hicolor/512x512/apps/%name.png

cat >> %name.desktop <<EOF
[Desktop Entry]
Categories=Network;
Name=tuifeed
GenericName=A terminal feed reader with a fancy ui
Type=Application
Exec=%name
Icon=%name
Terminal=true
EOF

install -Dm 644 %name.desktop %buildroot%_datadir/applications/%name.desktop


%files
%doc *.md LICENSE
%_bindir/%name
%_iconsdir/hicolor/*/*/*.png
%_datadir/applications/%name.desktop

%changelog
