%define rname umbrello

#%ifarch %not_qt5_qtwebengine_arches
#%def_disable qtwebengine
#%else
#%def_enable qtwebengine
#%endif

Name: %rname
Version: 24.12.2
Release: alt1
%K5init

Group: Graphical desktop/KDE
Summary: UML Modeller
Url: http://www.kde.org
License: GPL-2.0 and LGPL-2.1 and FDL-1.2

AutoProv: yes noshell nopython nopython2 nopython3 noperl noruby noqml notcl nomaven nogir novala

Provides:  kde5-umbrello = %EVR
Obsoletes: kde5-umbrello < %EVR

Source: %rname-%version.tar
Patch1: alt-no-webkit.patch

# Automatically added by buildreq on Thu Jan 14 2016 (-bi)
# optimized out: cmake cmake-modules docbook-dtds docbook-style-xsl elfutils gcc-c++ gtk-update-icon-cache kf5-kdoctools-devel libEGL-devel libGL-devel libgpg-error libqt5-core libqt5-dbus libqt5-gui libqt5-network libqt5-printsupport libqt5-script libqt5-svg libqt5-test libqt5-widgets libqt5-x11extras libqt5-xml libstdc++-devel libxcbutil-keysyms libxml2-devel pkg-config python-base python-modules python3 python3-base qt5-base-devel rpm-build-gir ruby ruby-stdlibs xml-common xml-utils
#BuildRequires: extra-cmake-modules kf5-karchive-devel kf5-kauth-devel kf5-kbookmarks-devel kf5-kcodecs-devel kf5-kcompletion-devel kf5-kconfig-devel kf5-kconfigwidgets-devel kf5-kcoreaddons-devel kf5-kdelibs4support kf5-kdoctools kf5-kdoctools-devel kf5-ki18n-devel kf5-kiconthemes-devel kf5-kio-devel kf5-kitemviews-devel kf5-kjobwidgets-devel kf5-kparts-devel kf5-kservice-devel kf5-ktexteditor-devel kf5-ktextwidgets-devel kf5-kwidgetsaddons-devel kf5-kwindowsystem-devel kf5-kxmlgui-devel kf5-solid-devel kf5-sonnet-devel libxslt-devel python-module-google qt5-svg-devel rpm-build-python3 rpm-build-ruby xsltproc
BuildRequires(pre): rpm-build-kf5 rpm-macros-qt5-webengine
BuildRequires: extra-cmake-modules qt5-base-devel qt5-svg-devel qt5-tools
#%if_enabled qtwebengine
#BuildRequires: qt5-webengine-devel
#%else
#BuildRequires: qt5-webkit-devel
#%endif
#BuildRequires: llvm-devel llvm-devel-static clang-devel clang-devel-static
BuildRequires: libxslt-devel xsltproc
BuildRequires: kf5-karchive-devel kf5-kauth-devel kf5-kbookmarks-devel kf5-kcodecs-devel kf5-kcompletion-devel
BuildRequires: kf5-kconfig-devel kf5-kconfigwidgets-devel kf5-kcoreaddons-devel
BuildRequires: kf5-kdelibs4support kf5-kdoctools kf5-kdoctools-devel
BuildRequires: kf5-ki18n-devel kf5-kiconthemes-devel kf5-kio-devel kf5-kitemviews-devel kf5-kjobwidgets-devel
BuildRequires: kf5-kparts-devel kf5-kservice-devel kf5-ktexteditor-devel kf5-ktextwidgets-devel kf5-kwidgetsaddons-devel
BuildRequires: kf5-kwindowsystem-devel kf5-kxmlgui-devel kf5-solid-devel kf5-sonnet-devel
BuildRequires: kf5-kcrash-devel kf5-syntax-highlighting-devel
# kf5-kdelibs4support-devel

%description
Umbrello UML Modeller is a UML diagramming tool for KDE.
UML lets you create models of object orientated software systems in a
standard language.

%prep
%setup -n %rname-%version
#%if_enabled qtwebengine
#%patch1 -p1
#%endif

# disable unittests
sed -i 's|\(.*add_subdirectory.*unittests.*\)|#\1|' CMakeLists.txt
# python shebang
sed -i '/^#!\/usr\/bin\/env/s|python|%__python3|' umbrello/headings/heading.py

%build
%add_optflags -I%_K5inc/KWindowSystem
%K5build \
    #

%install
%K5install
%K5install_move data umbrello umbrello5
%find_lang %name --with-kde --all-name

%files -f %name.lang
%doc LICENSES/*
%_bindir/*
%_K5bin/*
%_K5data/umbrello*/
%_K5icon/hicolor/*/apps/umbrello.*
%_K5icon/hicolor/*/mimetypes/application-x-uml.*
%_K5xdgapp/org.kde.umbrello*.desktop
%_datadir/metainfo/*.xml

%changelog
