%def_with lash

Name: vkeybd
Version: 0.1.18d
Release: alt2
Epoch: 1

Summary: Virtual keyboard for MIDI and ALSA drivers
Summary(ru_RU.UTF-8): Эмулятор MIDI-клавиатуры для MIDI- и ALSA-драйверов
Group: Sound
License: GPL-2.0-or-later
Url: http://www.alsa-project.org/~iwai/alsa.html

# repacked ftp://ftp.suse.com/pub/people/tiwai/vkeybd/%name-%version.tar.gz
Source: %name-%version.tar
Source1: %name.png
Patch0: 0001-vkb.c-Fixed-function-argument-from-const-char-to-char.patch

%define tcl_ver 8.5.1-alt1
%define tk_ver 8.5.1-alt1

Requires: tcl >= %tcl_ver, tk >= %tk_ver

%if_with lash
BuildPreReq: liblash-devel
%endif

BuildPreReq: tcl-devel >= %tcl_ver
BuildPreReq: tk-devel >= %tk_ver

# Automatically added by buildreq on Fri Feb 16 2007
BuildRequires: tk-devel

%description
This is a virtual keyboard for MIDI and ALSA drivers.
It's a simple fake of a MIDI keyboard on X-windows system.
Enjoy a music with your mouse and "computer" keyboard :-)

This program supports:
  - ALSA sequencer
  - MIDI device on OSS and ALSA
  - LASH session management

%description -l ru_RU.UTF-8
Vkeybd — это виртуальная клавиатура для MIDI- и ALSA-драйверов.
Она эмулирует функциональность обычной MIDI-клавиатуры, позволяя
отправлять MIDI-события с клавиатуры или мыши.

%prep
%setup -q -n %name
%patch0 -p2

%build
%add_optflags -DUSE_NON_CONST
%make PREFIX=%prefix TCLLIB=-ltcl TKLIB=-ltk USE_AWE=0 \
    COPTFLAGS="$RPM_OPT_FLAGS" \
%if_with lash
    USE_LASH=1
%endif

%install
%make_install PREFIX=%buildroot%prefix \
	      MAN_DIR=%buildroot%_mandir \
	      USE_AWE=0 \
	      install-all

%files
%_bindir/%name
%_bindir/sftovkb
%_man1dir/%name.1*
%_datadir/applications/*
%_datadir/%name
%_datadir/pixmaps/*
%doc README

%changelog
