%define _unpackaged_files_terminate_build 1
%define _stripped_files_terminate_build 1
%set_verify_elf_method strict

%define ver 9.4

Name: vtk
Version: %ver.1
Release: alt1
Summary: The Visualization Toolkit, an Object-Oriented Approach to 3D Graphics
License: BSD-3-Clause
Group: Development/Tools
Url: https://www.vtk.org/

VCS: https://gitlab.kitware.com/vtk/vtk.git
Source: %name-%version.tar

# git submodules
Source1: %name-%version-ThirdParty-vtkm-vtkvtkm-vtk-m.tar

# Splitted libraries
Source2: libs.spec.part
Source3: files.spec.part

# Remote modules
Source100: %name-%version-MomentInvariants.tar
Source101: %name-%version-vtkDICOM.tar

Patch1: %name-9.3.0-alt-python-install-path.patch
# Fix/hack for https://gitlab.kitware.com/vtk/vtk/-/issues/18220
# Needed for itk-snap
Patch2: %name-9.1.0-alt-modules-autoinit.patch
Patch3: %name-9.1.0-alt-dont-fetch-remote-modules.patch
Patch4: %name-9.1.0-alt-compile-flags.patch
Patch5: %name-9.4.1-arch-fmt-11.patch
Patch6: %name-%version-alt.patch

BuildRequires(pre): rpm-build-python3
BuildRequires(pre): rpm-macros-qt5
BuildRequires(pre): rpm-macros-cmake
BuildRequires: /usr/bin/sqlite3
BuildRequires: boost-devel
BuildRequires: boost-filesystem-devel
BuildRequires: boost-graph-parallel-devel
BuildRequires: bzlib-devel
BuildRequires: cmake
BuildRequires: doxygen
BuildRequires: eigen3-devel
BuildRequires: gcc-c++
BuildRequires: gnuplot
BuildRequires: graphviz
BuildRequires: inkscape
BuildRequires: jsoncpp-devel
BuildRequires: libGLEW-devel
BuildRequires: libGLU-devel
BuildRequires: libXt-devel
BuildRequires: libXxf86misc-devel
BuildRequires: libarchive-devel
BuildRequires: libavdevice-devel
BuildRequires: libavfilter-devel
BuildRequires: libavformat-devel
BuildRequires: libbfd-devel
BuildRequires: libbrotli-devel
BuildRequires: libcgns-devel
BuildRequires: libdc1394-devel
BuildRequires: libdouble-conversion-devel
BuildRequires: libexpat-devel
BuildRequires: libfmt-devel
BuildRequires: libfreetype-devel
BuildRequires: libftgl220-devel
BuildRequires: libgdal-devel
BuildRequires: libgl2ps-devel
BuildRequires: libgsl-devel
BuildRequires: libgsm-devel
BuildRequires: libharu-devel
BuildRequires: libhdf5-devel
BuildRequires: libimlxx-devel
BuildRequires: libjpeg-devel
BuildRequires: liblz4-devel
BuildRequires: liblzma-devel
BuildRequires: libnetcdf-devel
BuildRequires: libnumpy-py3-devel
BuildRequires: libopenmotif-devel
BuildRequires: libopenslide-devel
BuildRequires: libpcre2-devel
BuildRequires: libpng-devel
BuildRequires: libpostproc-devel
BuildRequires: libproj-devel
BuildRequires: libpugixml-devel
BuildRequires: libsqlite3-devel
BuildRequires: libswscale-devel
BuildRequires: libtag-devel
BuildRequires: libtheora-devel
BuildRequires: libtiff-devel
BuildRequires: libvorbis-devel
BuildRequires: libxml2-devel
BuildRequires: nlohmann-json-devel
BuildRequires: python3-devel
BuildRequires: python3-module-PyQt5-devel
BuildRequires: python3-module-matplotlib
BuildRequires: python3-module-sip-devel
BuildRequires: qt5-base-devel
BuildRequires: qt5-base-devel-static
BuildRequires: qt5-declarative-devel
BuildRequires: qt5-phonon-devel
BuildRequires: qt5-tools-devel
BuildRequires: texlive-latex-base
BuildRequires: texlive-latex-extra
BuildRequires: texlive-science
BuildRequires: tk-devel
BuildRequires: zlib-devel

%description
VTK is an open-source software system for image processing, 3D graphics, volume
rendering and visualization. VTK includes many advanced algorithms (e.g.,
surface reconstruction, implicit modelling, decimation) and rendering techniques
(e.g., hardware-accelerated volume rendering, LOD control).

# libs.spec.part
%include %SOURCE2

%package -n lib%{name}filters%ver
Summary: Shared libraries of The Visualization Toolkit (VTK): filters
Group: System/Libraries

%description -n lib%{name}filters%ver
This package contains shared libraries of VTK filters.

%package -n lib%{name}rendering%ver
Summary: Shared libraries of The Visualization Toolkit (VTK): rendering
Group: System/Libraries

%description -n lib%{name}rendering%ver
This package contains shared libraries of VTK rendering.

%package -n lib%name-devel
Summary: Development files of The Visualization Toolkit (VTK)
Group: Development/C++
Requires: %name = %EVR
Requires: %name-python3 = %EVR
Requires: lib%name%ver-python3 = %EVR
Requires: python3-module-%name = %EVR
Requires: python3-module-%name-tests = %EVR
Requires: nlohmann-json-devel
%ifnarch %arm
Requires: %name-qt5 = %EVR
%endif
# Following dependencies are duplicates from build dependencies
Requires: qt5-base-devel
Requires: qt5-declarative-devel
Requires: libfreetype-devel
Requires: eigen3-devel
Requires: libdouble-conversion-devel
Requires: python3-devel
Requires: libxml2-devel
Requires: libgdal-devel
Requires: libGLEW-devel
Requires: libarchive-devel
Requires: libcgns-devel
Requires: libfmt-devel
Conflicts: libvtk6.1-devel libvtk6.2-devel libvtk8.1-devel
Conflicts: libvtk8.2-devel

%description -n lib%name-devel
VTK is an open-source software system for image processing, 3D graphics, volume
rendering and visualization. VTK includes many advanced algorithms (e.g.,
surface reconstruction, implicit modelling, decimation) and rendering techniques
(e.g., hardware-accelerated volume rendering, LOD control).

This package contains development files of VTK.

%package doc
Summary: Documentation for The Visualization Toolkit (VTK)
Group: Development/Documentation
BuildArch: noarch

%description doc
VTK is an open-source software system for image processing, 3D graphics, volume
rendering and visualization. VTK includes many advanced algorithms (e.g.,
surface reconstruction, implicit modelling, decimation) and rendering techniques
(e.g., hardware-accelerated volume rendering, LOD control).

This package contains documentation for VTK.

%package python3
Summary: The Visualization Toolkit (VTK) Python bindings
Group: Development/Python3
Requires: %name = %EVR
Requires: lib%name%ver-python3 = %EVR
Requires: python3-module-%name = %EVR
Conflicts: vtk6.1-python vtk6.2-python vtk8.1-python
Conflicts: vtk8.2-python vtk8.2-python3

%description python3
VTK is an open-source software system for image processing, 3D graphics, volume
rendering and visualization. VTK includes many advanced algorithms (e.g.,
surface reconstruction, implicit modelling, decimation) and rendering techniques
(e.g., hardware-accelerated volume rendering, LOD control).

This package provides Python bindings to VTK.

%package -n lib%name%ver-python3
Summary: The Visualization Toolkit (VTK) Python shared libraries
Group: System/Libraries

%description -n lib%name%ver-python3
VTK is an open-source software system for image processing, 3D graphics, volume
rendering and visualization. VTK includes many advanced algorithms (e.g.,
surface reconstruction, implicit modelling, decimation) and rendering techniques
(e.g., hardware-accelerated volume rendering, LOD control).

This package contains Python shared libraries of VTK.

%package -n python3-module-%name
Summary: The Visualization Toolkit (VTK) Python bindings
Group: Development/Python3
Requires: lib%name%ver-python3 = %EVR
%add_python3_req_skip GDK gtk gtkgl gtk.gtkgl pygtk vtkParallelPython
%add_python3_req_skip vtk.vtkCommonCore vtk.vtkFiltersGeometry vtk.vtkRenderingCore vtk.vtkWebCore vtk.web vtk.web.camera vtk.web.query_data_model
%add_python3_req_skip wslink.websocket
%py3_requires PyQt5
Provides: python3-module-vtk8.2 = %EVR
Obsoletes: python3-module-vtk8.2 < %EVR
Conflicts: python3-module-vtk8.2 < %EVR

%add_python3_self_prov_path %buildroot%python3_sitelibdir/vtkmodules/web/wslink.py

%description -n python3-module-%name
VTK is an open-source software system for image processing, 3D graphics, volume
rendering and visualization. VTK includes many advanced algorithms (e.g.,
surface reconstruction, implicit modelling, decimation) and rendering techniques
(e.g., hardware-accelerated volume rendering, LOD control).

This package provides Python bindings to VTK.

%package -n python3-module-%name-tests
Summary: Tests for The Visualization Toolkit (VTK) Python bindings
Group: Development/Python3
Requires: python3-module-%name = %EVR
Provides: python3-module-vtk8.2-tests = %EVR
Obsoletes: python3-module-vtk8.2-tests < %EVR
Conflicts: python3-module-vtk8.2-tests < %EVR

%description -n python3-module-%name-tests
VTK is an open-source software system for image processing, 3D graphics, volume
rendering and visualization. VTK includes many advanced algorithms (e.g.,
surface reconstruction, implicit modelling, decimation) and rendering techniques
(e.g., hardware-accelerated volume rendering, LOD control).

This package contains tests for Python bindings to VTK.

%package examples
Summary: The Visualization Toolkit (VTK) examples
Group: Development/Tools
BuildArch: noarch
Requires: %name = %EVR
%add_python3_req_skip numeric

%description examples
VTK is an open-source software system for image processing, 3D graphics, volume
rendering and visualization. VTK includes many advanced algorithms (e.g.,
surface reconstruction, implicit modelling, decimation) and rendering techniques
(e.g., hardware-accelerated volume rendering, LOD control).

This package contains VTK examples.

%package qt5
Summary: The Visualization Toolkit (VTK) QML plugin
Group: System/Libraries

%description qt5
VTK is an open-source software system for image processing, 3D graphics, volume
rendering and visualization. VTK includes many advanced algorithms (e.g.,
surface reconstruction, implicit modelling, decimation) and rendering techniques
(e.g., hardware-accelerated volume rendering, LOD control).

This package contains VTK QML plugin.

%prep
%setup -a1 -a100 -a101
%autopatch -p1

%ifarch ppc64le
# fix error with always_inline
grep -rl '__attribute__((always_inline))' |\
  xargs sed -i 's/__attribute__((always_inline))//'
%endif

%ifarch %e2k
sed -i 's/decltype(resRange)::/typename &/' Common/Math/vtkFFT.txx
%endif

# apply build timestamp
CMake/vtkVersion.bash -f

# remove bundled libraries
for x in constantly expat freetype gl2ps hdf5 hyperlink incremental jpeg jsoncpp libharu libxml2 lz4 netcdf oggtheora png tiff Twisted txaio zlib ZopeInterface ; do
	rm -rf ThirdParty/${x}/vtk${x}
done

rm -rf \
	ThirdParty/AutobahnPython/vtkAutobahn

%build
PATH=$PATH:%_qt5_bindir

export PYTHON=%__python3
%add_optflags -I%_includedir/gsl
%add_optflags -DHAVE_SYS_TIME_H -DHAVE_SYS_TYPES_H -DHAVE_SYS_SOCKET_H
%add_optflags -D__USE_LARGEFILE64 -DH5_HAVE_SIGSETJMP -D__USE_POSIX
%add_optflags -DH5_HAVE_SETJMP_H
%add_optflags -D_FILE_OFFSET_BITS=64

%ifarch %e2k
# ld: failed to set dynamic section sizes: memory exhausted
%add_optflags -Wl,--no-keep-memory -Wl,--reduce-memory-overheads
%endif

# remote module flags go last
%cmake \
	-DBUILD_SHARED_LIBS=ON \
	-DCMAKE_INSTALL_QMLDIR=%_qt5_qmldir \
	-DVTK_BUILD_DOCUMENTATION=ON \
	-DVTK_BUILD_EXAMPLES=OFF \
	-DVTK_BUILD_TESTING=OFF \
	-DVTK_EXTRA_COMPILER_WARNINGS=ON \
	-DVTK_GROUP_ENABLE_Imaging:STRING=YES \
	-DVTK_GROUP_ENABLE_Rendering:STRING=YES \
	-DVTK_GROUP_ENABLE_StandAlone:STRING=YES \
	-DVTK_GROUP_ENABLE_Views:STRING=YES \
	-DVTK_GROUP_ENABLE_Web:STRING=YES \
	-DCMAKE_INSTALL_LICENSEDIR:PATH=share/doc/%name-%ver/licenses \
	-DVTK_MODULE_ENABLE_VTK_CommonArchive:STRING=YES \
	-DVTK_MODULE_ENABLE_VTK_DomainsMicroscopy:STRING=YES \
	-DVTK_MODULE_ENABLE_VTK_GeovisGDAL:STRING=YES \
	-DVTK_MODULE_ENABLE_VTK_ImagingOpenGL2:STRING=YES \
	-DVTK_MODULE_ENABLE_VTK_InfovisBoost:STRING=YES \
	-DVTK_MODULE_ENABLE_VTK_InfovisBoostGraphAlgorithms:STRING=YES \
%ifarch %arm
	-DVTK_GROUP_ENABLE_Qt:STRING=NO \
%else
	-DVTK_GROUP_ENABLE_Qt:STRING=YES \
%endif
	-DVTK_USE_EXTERNAL=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_fast_float=OFF \
	-DVTK_MODULE_USE_EXTERNAL_VTK_verdict=OFF \
	-DVTK_MODULE_USE_EXTERNAL_VTK_expat=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_exprtk=OFF \
	-DVTK_MODULE_USE_EXTERNAL_VTK_freetype=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_gl2ps=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_hdf5=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_ioss=OFF \
	-DVTK_MODULE_USE_EXTERNAL_VTK_jpeg=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_jsoncpp=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_libharu=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_libproj=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_libxml2=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_lz4=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_netcdf=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_png=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_tiff=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_token=OFF \
	-DVTK_MODULE_USE_EXTERNAL_VTK_zlib=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_utf8=OFF \
	-DVTK_MODULE_USE_EXTERNAL_VTK_pegtl=OFF \
	-DVTK_PYTHON_VERSION=3 \
	-DVTK_PYTHON_OPTIONAL_LINK=OFF \
	-DVTK_SMP_IMPLEMENTATION_TYPE="Sequential" \
	-DVTK_USE_X=ON \
	-DVTK_WRAP_PYTHON=ON \
	-DVTK_MODULE_ENABLE_VTK_ParallelMomentInvariants:STRING=NO \
	-DVTK_MODULE_ENABLE_VTK_MomentInvariants:STRING=YES \
	%nil

export LD_LIBRARY_PATH=$PWD/%_cmake__builddir/%_lib
%cmake_build
%cmake_build -t DoxygenDoc

%install
%cmakeinstall_std

%files
%doc Copyright.txt README.md
%_bindir/vtkParseJava-%ver
%_bindir/vtkWrapHierarchy-%ver
%_bindir/vtkWrapJava-%ver
%_bindir/vtkProbeOpenGLVersion-%ver
%_bindir/vtkWrapSerDes-%ver

# files.spec.part
%include %SOURCE3

%files -n lib%{name}filters%ver
%_libdir/libvtkFilters*-%ver.so.*
%exclude %_libdir/libvtkFiltersPython*-%ver.so.*

%files -n lib%{name}rendering%ver
%exclude %_libdir/libvtkRenderingQt-%ver.so.*
%_libdir/libvtkRendering*-%ver.so.*

%files -n lib%name-devel
%_libdir/*.so
%_includedir/%name-%ver
%_libdir/cmake/%name-%ver
%_libdir/%name-%ver

%files doc
%_docdir/%name-%ver

%files examples
%doc Examples

%files python3
%_bindir/*python*
%_bindir/*Python*

%files -n lib%name%ver-python3
%_libdir/libvtk*Python*-%ver.so.*

%files -n python3-module-%name
%python3_sitelibdir/*
%exclude %python3_sitelibdir/__pycache__
%exclude %python3_sitelibdir/vtkmodules/test

%files -n python3-module-%name-tests
%python3_sitelibdir/vtkmodules/test

%ifnarch %arm
%files qt5
%_qt5_qmldir/VTK.%ver
%_libdir/libvtkGUISupportQtQuick-%ver.so.*
%_libdir/libvtkGUISupportQtSQL-%ver.so.*
%_libdir/libvtkGUISupportQt-%ver.so.*
%_libdir/libvtkRenderingQt-%ver.so.*
%_libdir/libvtkViewsQt-%ver.so.*

%endif

%changelog
