%def_with tex_subpkg

Name: xmlto
Version: 0.0.29
Release: alt1

Summary: A tool for converting XML files to various formats.

Group: Publishing
License: GPLv2+
Url: https://pagure.io/xmlto/

# Source-url: https://releases.pagure.org/xmlto/xmlto-%version.tar.bz2
Source: %name-%version.tar

Requires: docbook-style-xsl >= 1.56
%{!?_with_tex_subpkg:Requires: passivetex >= 20040310}
Requires: docbook-dtds xml-utils xsltproc
Requires: /usr/bin/paperconf

BuildRequires: /bin/bash
BuildRequires: docbook-dtds docbook-style-xsl flex xsltproc
BuildRequires: /usr/bin/paperconf

%description
This is a package for converting XML files to various formats using XSL
stylesheets.

%if_with tex_subpkg
%package tex
Group: Publishing
Summary: A set of %name backends with TeX requirements
BuildArch: noarch
Requires: passivetex
Requires: %name = %EVR

%description tex
This subpackage contains %name backend scripts which do require
PassiveTeX/TeX for functionality.
%endif

%prep
%setup

%build
%autoreconf
%configure XMLTO_BASH_PATH=/bin/bash
%make_build

%install
%makeinstall_std

%check
%make check

%files
%doc AUTHORS.md ChangeLog FAQ.md NEWS.md THANKS.md
%_bindir/xmlif
%_bindir/xmlto
%_man1dir/*
%_datadir/%name/
%if_with tex_subpkg
%exclude %_datadir/%name/format/fo/dvi
%exclude %_datadir/%name/format/fo/ps
%exclude %_datadir/%name/format/fo/pdf

%files tex
%_datadir/%name/format/fo/dvi
%_datadir/%name/format/fo/ps
%_datadir/%name/format/fo/pdf
%endif


%changelog
