Name: zynaddsubfx
Version: 3.0.6
Release: alt6

Summary: %name is a open source software synthesizer
License: GPLv2+
Group: Sound
Url: http://zynaddsubfx.sourceforge.net/

Source0: %name-%version.tar
Source1: deps-%version.tar

BuildRequires: cmake gcc-c++
BuildRequires: pkgconfig(alsa)
BuildRequires: pkgconfig(jack)
BuildRequires: pkgconfig(fftw3)
BuildRequires: pkgconfig(liblo)
BuildRequires: pkgconfig(mxml)
BuildRequires: pkgconfig(zlib)

BuildRequires: pkgconfig(gl)
BuildRequires: pkgconfig(glu)
BuildRequires: pkgconfig(cairo)
BuildRequires: pkgconfig(vulkan)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xcursor)
BuildRequires: pkgconfig(xrandr)

%description
%name is a open source software synthesizer capable of making a countless
number of instruments, from some common heard from expensive hardware to
interesting sounds that you'll boost to an amazing universe of sounds.

%prep
%setup -a1

%build
%cmake	-DGuiModule=zest -DDefaultOutput=jack \
	-DPluginLibDir=%_lib -DZynFusionDir=%_libdir/zyn-fusion
%cmake_build

%install
%cmakeinstall_std

%global _customdocdir %_defaultdocdir/%name

%files
%_bindir/zynaddsubfx
%_libdir/lv2/*
%_libdir/vst/*
%_datadir/bash-completion/*/zynaddsubfx
%_datadir/doc/zynaddsubfx
%_datadir/zynaddsubfx
%_desktopdir/*.desktop
%_pixmapsdir/zynaddsubfx.*

%changelog
